/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */
package net.jdcloud.HufuStorageV2;

import com.jdcloud.sdk.apim.auth.CredentialsProvider;
import com.jdcloud.sdk.apim.auth.StaticCredentialsProvider;
import com.jdcloud.sdk.apim.client.Environment;
import com.jdcloud.sdk.apim.http.ContentType;
import com.jdcloud.sdk.apim.http.HttpRequestConfig;
import com.jdcloud.sdk.apim.http.Protocol;
import net.jdcloud.HufuStorageV2.client.HufuStorageV2Client;
import net.jdcloud.HufuStorageV2.model.*;

/**
 * Demo
 */
public class Demo {

    private static String accessKeyId = "";
    private static String secretKey = "";
    private static CredentialsProvider credentialsProvider = new StaticCredentialsProvider(accessKeyId, secretKey);
    private static HufuStorageV2Client client = HufuStorageV2Client.builder()
                .credentialsProvider(credentialsProvider)
                .httpRequestConfig(new HttpRequestConfig.Builder().connectionTimeout(10000).contentType(ContentType.APPLICATION_JSON).protocol(Protocol.HTTPS).build())
                .environment(new Environment.Builder().endpoint("hufu.cn-north-1.jdcloud-api.net").build()) // 线上环境公网地址
                .build();

    public static void main (String[] args){
        JingdongHufuDeliveryorderQueryRequest jingdongHufuDeliveryorderQueryRequest = new JingdongHufuDeliveryorderQueryRequest();
        JingdongHufuDeliveryorderQueryResponse jingdongHufuDeliveryorderQueryResponse = client.jingdongHufuDeliveryorderQuery(jingdongHufuDeliveryorderQueryRequest);

        JingdongHufuEntryorderQueryRequest jingdongHufuEntryorderQueryRequest = new JingdongHufuEntryorderQueryRequest();
        JingdongHufuEntryorderQueryResponse jingdongHufuEntryorderQueryResponse = client.jingdongHufuEntryorderQuery(jingdongHufuEntryorderQueryRequest);

        JingdongHufuReturnorderCreateRequest jingdongHufuReturnorderCreateRequest = new JingdongHufuReturnorderCreateRequest();
        JingdongHufuReturnorderCreateResponse jingdongHufuReturnorderCreateResponse = client.jingdongHufuReturnorderCreate(jingdongHufuReturnorderCreateRequest);

        JingdongHufuStockoutCreateRequest jingdongHufuStockoutCreateRequest = new JingdongHufuStockoutCreateRequest();
        JingdongHufuStockoutCreateResponse jingdongHufuStockoutCreateResponse = client.jingdongHufuStockoutCreate(jingdongHufuStockoutCreateRequest);

        JingdongHufuDeliveryorderBatchconfirmRequest jingdongHufuDeliveryorderBatchconfirmRequest = new JingdongHufuDeliveryorderBatchconfirmRequest();
        JingdongHufuDeliveryorderBatchconfirmResponse jingdongHufuDeliveryorderBatchconfirmResponse = client.jingdongHufuDeliveryorderBatchconfirm(jingdongHufuDeliveryorderBatchconfirmRequest);

        JingdongHufuSnReportRequest jingdongHufuSnReportRequest = new JingdongHufuSnReportRequest();
        JingdongHufuSnReportResponse jingdongHufuSnReportResponse = client.jingdongHufuSnReport(jingdongHufuSnReportRequest);

        JingdongHufuEntryorderConfirmRequest jingdongHufuEntryorderConfirmRequest = new JingdongHufuEntryorderConfirmRequest();
        JingdongHufuEntryorderConfirmResponse jingdongHufuEntryorderConfirmResponse = client.jingdongHufuEntryorderConfirm(jingdongHufuEntryorderConfirmRequest);

        JingdongHufuStockchangeReportRequest jingdongHufuStockchangeReportRequest = new JingdongHufuStockchangeReportRequest();
        JingdongHufuStockchangeReportResponse jingdongHufuStockchangeReportResponse = client.jingdongHufuStockchangeReport(jingdongHufuStockchangeReportRequest);

        JingdongHufuReturnorderConfirmRequest jingdongHufuReturnorderConfirmRequest = new JingdongHufuReturnorderConfirmRequest();
        JingdongHufuReturnorderConfirmResponse jingdongHufuReturnorderConfirmResponse = client.jingdongHufuReturnorderConfirm(jingdongHufuReturnorderConfirmRequest);

        JingdongHufuSingleitemSynchronizeRequest jingdongHufuSingleitemSynchronizeRequest = new JingdongHufuSingleitemSynchronizeRequest();
        JingdongHufuSingleitemSynchronizeResponse jingdongHufuSingleitemSynchronizeResponse = client.jingdongHufuSingleitemSynchronize(jingdongHufuSingleitemSynchronizeRequest);

        JingdongHufuStockoutConfirmRequest jingdongHufuStockoutConfirmRequest = new JingdongHufuStockoutConfirmRequest();
        JingdongHufuStockoutConfirmResponse jingdongHufuStockoutConfirmResponse = client.jingdongHufuStockoutConfirm(jingdongHufuStockoutConfirmRequest);

        JingdongHufuInventoryQueryRequest jingdongHufuInventoryQueryRequest = new JingdongHufuInventoryQueryRequest();
        JingdongHufuInventoryQueryResponse jingdongHufuInventoryQueryResponse = client.jingdongHufuInventoryQuery(jingdongHufuInventoryQueryRequest);

        JingdongHufuOrderCancelRequest jingdongHufuOrderCancelRequest = new JingdongHufuOrderCancelRequest();
        JingdongHufuOrderCancelResponse jingdongHufuOrderCancelResponse = client.jingdongHufuOrderCancel(jingdongHufuOrderCancelRequest);

        JingdongHufuDeliveryorderCreateRequest jingdongHufuDeliveryorderCreateRequest = new JingdongHufuDeliveryorderCreateRequest();
        JingdongHufuDeliveryorderCreateResponse jingdongHufuDeliveryorderCreateResponse = client.jingdongHufuDeliveryorderCreate(jingdongHufuDeliveryorderCreateRequest);

        JingdongHufuInventoryReportRequest jingdongHufuInventoryReportRequest = new JingdongHufuInventoryReportRequest();
        JingdongHufuInventoryReportResponse jingdongHufuInventoryReportResponse = client.jingdongHufuInventoryReport(jingdongHufuInventoryReportRequest);

        JingdongHufuItemsSynchronizeRequest jingdongHufuItemsSynchronizeRequest = new JingdongHufuItemsSynchronizeRequest();
        JingdongHufuItemsSynchronizeResponse jingdongHufuItemsSynchronizeResponse = client.jingdongHufuItemsSynchronize(jingdongHufuItemsSynchronizeRequest);

        JingdongHufuDeliveryorderBatchcreateAnswerRequest jingdongHufuDeliveryorderBatchcreateAnswerRequest = new JingdongHufuDeliveryorderBatchcreateAnswerRequest();
        JingdongHufuDeliveryorderBatchcreateAnswerResponse jingdongHufuDeliveryorderBatchcreateAnswerResponse = client.jingdongHufuDeliveryorderBatchcreateAnswer(jingdongHufuDeliveryorderBatchcreateAnswerRequest);

        JingdongHufuStoreprocessCreateRequest jingdongHufuStoreprocessCreateRequest = new JingdongHufuStoreprocessCreateRequest();
        JingdongHufuStoreprocessCreateResponse jingdongHufuStoreprocessCreateResponse = client.jingdongHufuStoreprocessCreate(jingdongHufuStoreprocessCreateRequest);

        JingdongHufuStoreprocessConfirmRequest jingdongHufuStoreprocessConfirmRequest = new JingdongHufuStoreprocessConfirmRequest();
        JingdongHufuStoreprocessConfirmResponse jingdongHufuStoreprocessConfirmResponse = client.jingdongHufuStoreprocessConfirm(jingdongHufuStoreprocessConfirmRequest);

        JingdongHufuTransferorderQueryRequest jingdongHufuTransferorderQueryRequest = new JingdongHufuTransferorderQueryRequest();
        JingdongHufuTransferorderQueryResponse jingdongHufuTransferorderQueryResponse = client.jingdongHufuTransferorderQuery(jingdongHufuTransferorderQueryRequest);

        JingdongHufuTransferorderCreateRequest jingdongHufuTransferorderCreateRequest = new JingdongHufuTransferorderCreateRequest();
        JingdongHufuTransferorderCreateResponse jingdongHufuTransferorderCreateResponse = client.jingdongHufuTransferorderCreate(jingdongHufuTransferorderCreateRequest);

        JingdongHufuTransferorderReportRequest jingdongHufuTransferorderReportRequest = new JingdongHufuTransferorderReportRequest();
        JingdongHufuTransferorderReportResponse jingdongHufuTransferorderReportResponse = client.jingdongHufuTransferorderReport(jingdongHufuTransferorderReportRequest);

        JingdongHufuSingleitemQueryRequest jingdongHufuSingleitemQueryRequest = new JingdongHufuSingleitemQueryRequest();
        JingdongHufuSingleitemQueryResponse jingdongHufuSingleitemQueryResponse = client.jingdongHufuSingleitemQuery(jingdongHufuSingleitemQueryRequest);

        JingdongHufuShopSynchronizeRequest jingdongHufuShopSynchronizeRequest = new JingdongHufuShopSynchronizeRequest();
        JingdongHufuShopSynchronizeResponse jingdongHufuShopSynchronizeResponse = client.jingdongHufuShopSynchronize(jingdongHufuShopSynchronizeRequest);

        JingdongHufuWarehouseinfoSynchronizeRequest jingdongHufuWarehouseinfoSynchronizeRequest = new JingdongHufuWarehouseinfoSynchronizeRequest();
        JingdongHufuWarehouseinfoSynchronizeResponse jingdongHufuWarehouseinfoSynchronizeResponse = client.jingdongHufuWarehouseinfoSynchronize(jingdongHufuWarehouseinfoSynchronizeRequest);

        JingdongHufuEntryorderCreateRequest jingdongHufuEntryorderCreateRequest = new JingdongHufuEntryorderCreateRequest();
        JingdongHufuEntryorderCreateResponse jingdongHufuEntryorderCreateResponse = client.jingdongHufuEntryorderCreate(jingdongHufuEntryorderCreateRequest);

        JingdongHufuCombineItemQueryRequest jingdongHufuCombineItemQueryRequest = new JingdongHufuCombineItemQueryRequest();
        JingdongHufuCombineItemQueryResponse jingdongHufuCombineItemQueryResponse = client.jingdongHufuCombineItemQuery(jingdongHufuCombineItemQueryRequest);

        JingdongHufuOrderProcessQueryRequest jingdongHufuOrderProcessQueryRequest = new JingdongHufuOrderProcessQueryRequest();
        JingdongHufuOrderProcessQueryResponse jingdongHufuOrderProcessQueryResponse = client.jingdongHufuOrderProcessQuery(jingdongHufuOrderProcessQueryRequest);

        JingdongHufuCombineItemDeleteRequest jingdongHufuCombineItemDeleteRequest = new JingdongHufuCombineItemDeleteRequest();
        JingdongHufuCombineItemDeleteResponse jingdongHufuCombineItemDeleteResponse = client.jingdongHufuCombineItemDelete(jingdongHufuCombineItemDeleteRequest);

        JingdongHufuCombineItemSynchronizeRequest jingdongHufuCombineItemSynchronizeRequest = new JingdongHufuCombineItemSynchronizeRequest();
        JingdongHufuCombineItemSynchronizeResponse jingdongHufuCombineItemSynchronizeResponse = client.jingdongHufuCombineItemSynchronize(jingdongHufuCombineItemSynchronizeRequest);

        JingdongHufuOrderPendingRequest jingdongHufuOrderPendingRequest = new JingdongHufuOrderPendingRequest();
        JingdongHufuOrderPendingResponse jingdongHufuOrderPendingResponse = client.jingdongHufuOrderPending(jingdongHufuOrderPendingRequest);

        JingdongHufuDeliveryorderBatchcreateRequest jingdongHufuDeliveryorderBatchcreateRequest = new JingdongHufuDeliveryorderBatchcreateRequest();
        JingdongHufuDeliveryorderBatchcreateResponse jingdongHufuDeliveryorderBatchcreateResponse = client.jingdongHufuDeliveryorderBatchcreate(jingdongHufuDeliveryorderBatchcreateRequest);

        JingdongHufuOrderprocessReportRequest jingdongHufuOrderprocessReportRequest = new JingdongHufuOrderprocessReportRequest();
        JingdongHufuOrderprocessReportResponse jingdongHufuOrderprocessReportResponse = client.jingdongHufuOrderprocessReport(jingdongHufuOrderprocessReportRequest);

        JingdongHufuDeliveryorderConfirmRequest jingdongHufuDeliveryorderConfirmRequest = new JingdongHufuDeliveryorderConfirmRequest();
        JingdongHufuDeliveryorderConfirmResponse jingdongHufuDeliveryorderConfirmResponse = client.jingdongHufuDeliveryorderConfirm(jingdongHufuDeliveryorderConfirmRequest);

    }
}
