/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufucombineitemsynchronize;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.util.ArrayList;
import java.util.List;
import net.jdcloud.HufuStorageV2.model.jingdonghufucombineitemsynchronize.CombItems;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * CombineItemSyncRequest
 */
@XmlRootElement(name = "CombineItemSyncRequest")
@XmlAccessorType(XmlAccessType.FIELD)

public class CombineItemSyncRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "ownerCode")
    @SerializedName("ownerCode")
    @Required
    private String ownerCode = null;

    @XmlElement(name = "itemCode")
    @SerializedName("itemCode")
    @Required
    private String itemCode = null;

    @XmlElementWrapper(name = "combItems")
    @XmlElement(name = "combItems")
    @SerializedName("combItems")
    private List<CombItems> combItems = null;

    @XmlElement(name = "warehouseCode")
    @SerializedName("warehouseCode")
    private String warehouseCode = null;

    public CombineItemSyncRequest ownerCode(String ownerCode) {
        this.ownerCode = ownerCode;
        return this;
    }

    /**
     * 货主编码
     * @return ownerCode
    **/

    public String getOwnerCode() {
        return ownerCode;
    }

    public void setOwnerCode(String ownerCode) {
        this.ownerCode = ownerCode;
    }

    public CombineItemSyncRequest itemCode(String itemCode) {
        this.itemCode = itemCode;
        return this;
    }

    /**
     * 组合商品的ERP编码
     * @return itemCode
    **/

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public CombineItemSyncRequest combItems(List<CombItems> combItems) {
        this.combItems = combItems;
        return this;
    }

    public CombineItemSyncRequest addCombItemsItem(CombItems combItemsItem) {
        if (this.combItems == null) {
            this.combItems = new ArrayList<CombItems>();
        }
        this.combItems.add(combItemsItem);
        return this;
    }

    /**
     * Get combItems
     * @return combItems
    **/

    public List<CombItems> getCombItems() {
        return combItems;
    }

    public void setCombItems(List<CombItems> combItems) {
        this.combItems = combItems;
    }

    public CombineItemSyncRequest warehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
        return this;
    }

    /**
     * 仓库编码
     * @return warehouseCode
    **/

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        CombineItemSyncRequest combineItemSyncRequest = (CombineItemSyncRequest) o;
        return Objects.equals(this.ownerCode, combineItemSyncRequest.ownerCode) &&
        Objects.equals(this.itemCode, combineItemSyncRequest.itemCode) &&
        Objects.equals(this.combItems, combineItemSyncRequest.combItems) &&
        Objects.equals(this.warehouseCode, combineItemSyncRequest.warehouseCode);
    }

    @Override
    public int hashCode() {
        return Objects.hash(ownerCode, itemCode, combItems, warehouseCode);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class CombineItemSyncRequest {\n");
        
        sb.append("    ownerCode: ").append(toIndentedString(ownerCode)).append("\n");
        sb.append("    itemCode: ").append(toIndentedString(itemCode)).append("\n");
        sb.append("    combItems: ").append(toIndentedString(combItems)).append("\n");
        sb.append("    warehouseCode: ").append(toIndentedString(warehouseCode)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

