/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufudeliveryordercreate;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.util.ArrayList;
import java.util.List;
import net.jdcloud.HufuStorageV2.model.jingdonghufudeliveryordercreate.OrderLines1;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * 发货单信息
 */
@XmlRootElement(name = "deliveryOrders")
@XmlAccessorType(XmlAccessType.FIELD)

public class DeliveryOrders implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElementWrapper(name = "orderLines")
    @XmlElement(name = "orderLines_1")
    @SerializedName("orderLines")
    private List<OrderLines1> orderLines = null;

    @XmlElement(name = "createTime")
    @SerializedName("createTime")
    private String createTime = null;

    @XmlElement(name = "logisticsCode")
    @SerializedName("logisticsCode")
    private String logisticsCode = null;

    @XmlElement(name = "warehouseCode")
    @SerializedName("warehouseCode")
    private String warehouseCode = null;

    @XmlElement(name = "deliveryOrderId")
    @SerializedName("deliveryOrderId")
    private String deliveryOrderId = null;

    public DeliveryOrders orderLines(List<OrderLines1> orderLines) {
        this.orderLines = orderLines;
        return this;
    }

    public DeliveryOrders addOrderLinesItem(OrderLines1 orderLinesItem) {
        if (this.orderLines == null) {
            this.orderLines = new ArrayList<OrderLines1>();
        }
        this.orderLines.add(orderLinesItem);
        return this;
    }

    /**
     * 订单列表
     * @return orderLines
    **/

    public List<OrderLines1> getOrderLines() {
        return orderLines;
    }

    public void setOrderLines(List<OrderLines1> orderLines) {
        this.orderLines = orderLines;
    }

    public DeliveryOrders createTime(String createTime) {
        this.createTime = createTime;
        return this;
    }

    /**
     * 订单创建时间(YYYY-MM-DD HH:MM:SS)
     * @return createTime
    **/

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public DeliveryOrders logisticsCode(String logisticsCode) {
        this.logisticsCode = logisticsCode;
        return this;
    }

    /**
     * 物流公司编码(统仓统配使用)
     * @return logisticsCode
    **/

    public String getLogisticsCode() {
        return logisticsCode;
    }

    public void setLogisticsCode(String logisticsCode) {
        this.logisticsCode = logisticsCode;
    }

    public DeliveryOrders warehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
        return this;
    }

    /**
     * 仓库编码(统仓统配使用)
     * @return warehouseCode
    **/

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public DeliveryOrders deliveryOrderId(String deliveryOrderId) {
        this.deliveryOrderId = deliveryOrderId;
        return this;
    }

    /**
     * 出库单仓储系统编码
     * @return deliveryOrderId
    **/

    public String getDeliveryOrderId() {
        return deliveryOrderId;
    }

    public void setDeliveryOrderId(String deliveryOrderId) {
        this.deliveryOrderId = deliveryOrderId;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        DeliveryOrders deliveryOrders = (DeliveryOrders) o;
        return Objects.equals(this.orderLines, deliveryOrders.orderLines) &&
        Objects.equals(this.createTime, deliveryOrders.createTime) &&
        Objects.equals(this.logisticsCode, deliveryOrders.logisticsCode) &&
        Objects.equals(this.warehouseCode, deliveryOrders.warehouseCode) &&
        Objects.equals(this.deliveryOrderId, deliveryOrders.deliveryOrderId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(orderLines, createTime, logisticsCode, warehouseCode, deliveryOrderId);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class DeliveryOrders {\n");
        
        sb.append("    orderLines: ").append(toIndentedString(orderLines)).append("\n");
        sb.append("    createTime: ").append(toIndentedString(createTime)).append("\n");
        sb.append("    logisticsCode: ").append(toIndentedString(logisticsCode)).append("\n");
        sb.append("    warehouseCode: ").append(toIndentedString(warehouseCode)).append("\n");
        sb.append("    deliveryOrderId: ").append(toIndentedString(deliveryOrderId)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

