/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufudeliveryordercreate;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * 发货要求列表
 */
@XmlRootElement(name = "deliveryRequirements")
@XmlAccessorType(XmlAccessType.FIELD)

public class DeliveryRequirements implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "scheduleType")
    @SerializedName("scheduleType")
    private Integer scheduleType = null;

    @XmlElement(name = "scheduleDay")
    @SerializedName("scheduleDay")
    private String scheduleDay = null;

    @XmlElement(name = "deliveryType")
    @SerializedName("deliveryType")
    private String deliveryType = null;

    @XmlElement(name = "scheduleStartTime")
    @SerializedName("scheduleStartTime")
    private String scheduleStartTime = null;

    @XmlElement(name = "scheduleEndTime")
    @SerializedName("scheduleEndTime")
    private String scheduleEndTime = null;

    public DeliveryRequirements scheduleType(Integer scheduleType) {
        this.scheduleType = scheduleType;
        return this;
    }

    /**
     * 投递时延要求(1&#x3D;工作日;2&#x3D;节假日;101&#x3D;当日达;102&#x3D;次晨达;103&#x3D;次日达;104&#x3D; 预约 达)
     * @return scheduleType
    **/

    public Integer getScheduleType() {
        return scheduleType;
    }

    public void setScheduleType(Integer scheduleType) {
        this.scheduleType = scheduleType;
    }

    public DeliveryRequirements scheduleDay(String scheduleDay) {
        this.scheduleDay = scheduleDay;
        return this;
    }

    /**
     * 要求送达日期(YYYY-MM-DD)
     * @return scheduleDay
    **/

    public String getScheduleDay() {
        return scheduleDay;
    }

    public void setScheduleDay(String scheduleDay) {
        this.scheduleDay = scheduleDay;
    }

    public DeliveryRequirements deliveryType(String deliveryType) {
        this.deliveryType = deliveryType;
        return this;
    }

    /**
     * 发货服务类型(PTPS:普通配送;LLPS:冷链配送;HBP:环保配)
     * @return deliveryType
    **/

    public String getDeliveryType() {
        return deliveryType;
    }

    public void setDeliveryType(String deliveryType) {
        this.deliveryType = deliveryType;
    }

    public DeliveryRequirements scheduleStartTime(String scheduleStartTime) {
        this.scheduleStartTime = scheduleStartTime;
        return this;
    }

    /**
     * 投递时间范围要求(开始时间;格式：HH:MM:SS)
     * @return scheduleStartTime
    **/

    public String getScheduleStartTime() {
        return scheduleStartTime;
    }

    public void setScheduleStartTime(String scheduleStartTime) {
        this.scheduleStartTime = scheduleStartTime;
    }

    public DeliveryRequirements scheduleEndTime(String scheduleEndTime) {
        this.scheduleEndTime = scheduleEndTime;
        return this;
    }

    /**
     * 投递时间范围要求(结束时间;格式：HH:MM:SS)
     * @return scheduleEndTime
    **/

    public String getScheduleEndTime() {
        return scheduleEndTime;
    }

    public void setScheduleEndTime(String scheduleEndTime) {
        this.scheduleEndTime = scheduleEndTime;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        DeliveryRequirements deliveryRequirements = (DeliveryRequirements) o;
        return Objects.equals(this.scheduleType, deliveryRequirements.scheduleType) &&
        Objects.equals(this.scheduleDay, deliveryRequirements.scheduleDay) &&
        Objects.equals(this.deliveryType, deliveryRequirements.deliveryType) &&
        Objects.equals(this.scheduleStartTime, deliveryRequirements.scheduleStartTime) &&
        Objects.equals(this.scheduleEndTime, deliveryRequirements.scheduleEndTime);
    }

    @Override
    public int hashCode() {
        return Objects.hash(scheduleType, scheduleDay, deliveryType, scheduleStartTime, scheduleEndTime);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class DeliveryRequirements {\n");
        
        sb.append("    scheduleType: ").append(toIndentedString(scheduleType)).append("\n");
        sb.append("    scheduleDay: ").append(toIndentedString(scheduleDay)).append("\n");
        sb.append("    deliveryType: ").append(toIndentedString(deliveryType)).append("\n");
        sb.append("    scheduleStartTime: ").append(toIndentedString(scheduleStartTime)).append("\n");
        sb.append("    scheduleEndTime: ").append(toIndentedString(scheduleEndTime)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

