/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufudeliveryordercreate;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.util.ArrayList;
import java.util.List;
import net.jdcloud.HufuStorageV2.model.jingdonghufudeliveryordercreate.DeliveryOrders;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * 
 */
@XmlRootElement(name = "result")
@XmlAccessorType(XmlAccessType.FIELD)

public class Result implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElementWrapper(name = "deliveryOrders")
    @XmlElement(name = "deliveryOrders")
    @SerializedName("deliveryOrders")
    private List<DeliveryOrders> deliveryOrders = null;

    @XmlElement(name = "flag")
    @SerializedName("flag")
    private String flag = null;

    @XmlElement(name = "code")
    @SerializedName("code")
    private String code = null;

    @XmlElement(name = "createTime")
    @SerializedName("createTime")
    private String createTime = null;

    @XmlElement(name = "logisticsCode")
    @SerializedName("logisticsCode")
    private String logisticsCode = null;

    @XmlElement(name = "message")
    @SerializedName("message")
    private String message = null;

    @XmlElement(name = "warehouseCode")
    @SerializedName("warehouseCode")
    private String warehouseCode = null;

    @XmlElement(name = "deliveryOrderId")
    @SerializedName("deliveryOrderId")
    private String deliveryOrderId = null;

    public Result deliveryOrders(List<DeliveryOrders> deliveryOrders) {
        this.deliveryOrders = deliveryOrders;
        return this;
    }

    public Result addDeliveryOrdersItem(DeliveryOrders deliveryOrdersItem) {
        if (this.deliveryOrders == null) {
            this.deliveryOrders = new ArrayList<DeliveryOrders>();
        }
        this.deliveryOrders.add(deliveryOrdersItem);
        return this;
    }

    /**
     * 发货单列表
     * @return deliveryOrders
    **/

    public List<DeliveryOrders> getDeliveryOrders() {
        return deliveryOrders;
    }

    public void setDeliveryOrders(List<DeliveryOrders> deliveryOrders) {
        this.deliveryOrders = deliveryOrders;
    }

    public Result flag(String flag) {
        this.flag = flag;
        return this;
    }

    /**
     * 响应结果:success|failure
     * @return flag
    **/

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public Result code(String code) {
        this.code = code;
        return this;
    }

    /**
     * 响应码
     * @return code
    **/

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Result createTime(String createTime) {
        this.createTime = createTime;
        return this;
    }

    /**
     * 订单创建时间(YYYY-MM-DD HH:MM:SS)
     * @return createTime
    **/

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public Result logisticsCode(String logisticsCode) {
        this.logisticsCode = logisticsCode;
        return this;
    }

    /**
     * 物流公司编码(统仓统配使用)
     * @return logisticsCode
    **/

    public String getLogisticsCode() {
        return logisticsCode;
    }

    public void setLogisticsCode(String logisticsCode) {
        this.logisticsCode = logisticsCode;
    }

    public Result message(String message) {
        this.message = message;
        return this;
    }

    /**
     * 响应信息
     * @return message
    **/

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Result warehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
        return this;
    }

    /**
     * 仓库编码(统仓统配使用)
     * @return warehouseCode
    **/

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public Result deliveryOrderId(String deliveryOrderId) {
        this.deliveryOrderId = deliveryOrderId;
        return this;
    }

    /**
     * 出库单仓储系统编码
     * @return deliveryOrderId
    **/

    public String getDeliveryOrderId() {
        return deliveryOrderId;
    }

    public void setDeliveryOrderId(String deliveryOrderId) {
        this.deliveryOrderId = deliveryOrderId;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        Result result = (Result) o;
        return Objects.equals(this.deliveryOrders, result.deliveryOrders) &&
        Objects.equals(this.flag, result.flag) &&
        Objects.equals(this.code, result.code) &&
        Objects.equals(this.createTime, result.createTime) &&
        Objects.equals(this.logisticsCode, result.logisticsCode) &&
        Objects.equals(this.message, result.message) &&
        Objects.equals(this.warehouseCode, result.warehouseCode) &&
        Objects.equals(this.deliveryOrderId, result.deliveryOrderId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(deliveryOrders, flag, code, createTime, logisticsCode, message, warehouseCode, deliveryOrderId);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class Result {\n");
        
        sb.append("    deliveryOrders: ").append(toIndentedString(deliveryOrders)).append("\n");
        sb.append("    flag: ").append(toIndentedString(flag)).append("\n");
        sb.append("    code: ").append(toIndentedString(code)).append("\n");
        sb.append("    createTime: ").append(toIndentedString(createTime)).append("\n");
        sb.append("    logisticsCode: ").append(toIndentedString(logisticsCode)).append("\n");
        sb.append("    message: ").append(toIndentedString(message)).append("\n");
        sb.append("    warehouseCode: ").append(toIndentedString(warehouseCode)).append("\n");
        sb.append("    deliveryOrderId: ").append(toIndentedString(deliveryOrderId)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

