/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufudeliveryorderquery;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * DeliveryOrderQueryRequest
 */
@XmlRootElement(name = "DeliveryOrderQueryRequest")
@XmlAccessorType(XmlAccessType.FIELD)

public class DeliveryOrderQueryRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "ownerCode")
    @SerializedName("ownerCode")
    private String ownerCode = null;

    @XmlElement(name = "orderId")
    @SerializedName("orderId")
    private String orderId = null;

    @XmlElement(name = "orderSourceCode")
    @SerializedName("orderSourceCode")
    private String orderSourceCode = null;

    @XmlElement(name = "pageSize")
    @SerializedName("pageSize")
    @Required
    private Integer pageSize = null;

    @XmlElement(name = "inner")
    @SerializedName("extendProps")
    private Map<String, String> extendProps = null;

    @XmlElement(name = "orderCode")
    @SerializedName("orderCode")
    @Required
    private String orderCode = null;

    @XmlElement(name = "remark")
    @SerializedName("remark")
    private String remark = null;

    @XmlElement(name = "page")
    @SerializedName("page")
    @Required
    private Integer page = null;

    @XmlElement(name = "warehouseCode")
    @SerializedName("warehouseCode")
    private String warehouseCode = null;

    public DeliveryOrderQueryRequest ownerCode(String ownerCode) {
        this.ownerCode = ownerCode;
        return this;
    }

    /**
     * 货主编码
     * @return ownerCode
    **/

    public String getOwnerCode() {
        return ownerCode;
    }

    public void setOwnerCode(String ownerCode) {
        this.ownerCode = ownerCode;
    }

    public DeliveryOrderQueryRequest orderId(String orderId) {
        this.orderId = orderId;
        return this;
    }

    /**
     * 仓储系统发库单号
     * @return orderId
    **/

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public DeliveryOrderQueryRequest orderSourceCode(String orderSourceCode) {
        this.orderSourceCode = orderSourceCode;
        return this;
    }

    /**
     * 交易单号
     * @return orderSourceCode
    **/

    public String getOrderSourceCode() {
        return orderSourceCode;
    }

    public void setOrderSourceCode(String orderSourceCode) {
        this.orderSourceCode = orderSourceCode;
    }

    public DeliveryOrderQueryRequest pageSize(Integer pageSize) {
        this.pageSize = pageSize;
        return this;
    }

    /**
     * 每页orderLine条数(最多100条)
     * @return pageSize
    **/

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public DeliveryOrderQueryRequest extendProps(Map<String, String> extendProps) {
        this.extendProps = extendProps;
        return this;
    }

    public DeliveryOrderQueryRequest putExtendPropsItem(String key, String extendPropsItem) {
        if (this.extendProps == null) {
            this.extendProps = new HashMap<String, String>();
        }
        this.extendProps.put(key, extendPropsItem);
        return this;
    }

    /**
     * 扩展属性(map类型)
     * @return extendProps
    **/

    public Map<String, String> getExtendProps() {
        return extendProps;
    }

    public void setExtendProps(Map<String, String> extendProps) {
        this.extendProps = extendProps;
    }

    public DeliveryOrderQueryRequest orderCode(String orderCode) {
        this.orderCode = orderCode;
        return this;
    }

    /**
     * 发库单号
     * @return orderCode
    **/

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public DeliveryOrderQueryRequest remark(String remark) {
        this.remark = remark;
        return this;
    }

    /**
     * 备注
     * @return remark
    **/

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public DeliveryOrderQueryRequest page(Integer page) {
        this.page = page;
        return this;
    }

    /**
     * 当前页
     * @return page
    **/

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public DeliveryOrderQueryRequest warehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
        return this;
    }

    /**
     * 仓库编码
     * @return warehouseCode
    **/

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        DeliveryOrderQueryRequest deliveryOrderQueryRequest = (DeliveryOrderQueryRequest) o;
        return Objects.equals(this.ownerCode, deliveryOrderQueryRequest.ownerCode) &&
        Objects.equals(this.orderId, deliveryOrderQueryRequest.orderId) &&
        Objects.equals(this.orderSourceCode, deliveryOrderQueryRequest.orderSourceCode) &&
        Objects.equals(this.pageSize, deliveryOrderQueryRequest.pageSize) &&
        Objects.equals(this.extendProps, deliveryOrderQueryRequest.extendProps) &&
        Objects.equals(this.orderCode, deliveryOrderQueryRequest.orderCode) &&
        Objects.equals(this.remark, deliveryOrderQueryRequest.remark) &&
        Objects.equals(this.page, deliveryOrderQueryRequest.page) &&
        Objects.equals(this.warehouseCode, deliveryOrderQueryRequest.warehouseCode);
    }

    @Override
    public int hashCode() {
        return Objects.hash(ownerCode, orderId, orderSourceCode, pageSize, extendProps, orderCode, remark, page, warehouseCode);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class DeliveryOrderQueryRequest {\n");
        
        sb.append("    ownerCode: ").append(toIndentedString(ownerCode)).append("\n");
        sb.append("    orderId: ").append(toIndentedString(orderId)).append("\n");
        sb.append("    orderSourceCode: ").append(toIndentedString(orderSourceCode)).append("\n");
        sb.append("    pageSize: ").append(toIndentedString(pageSize)).append("\n");
        sb.append("    extendProps: ").append(toIndentedString(extendProps)).append("\n");
        sb.append("    orderCode: ").append(toIndentedString(orderCode)).append("\n");
        sb.append("    remark: ").append(toIndentedString(remark)).append("\n");
        sb.append("    page: ").append(toIndentedString(page)).append("\n");
        sb.append("    warehouseCode: ").append(toIndentedString(warehouseCode)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

