/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufudeliveryorderquery;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import net.jdcloud.HufuStorageV2.model.jingdonghufudeliveryorderquery.Detail;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * Invoices
 */
@XmlRootElement(name = "invoices")
@XmlAccessorType(XmlAccessType.FIELD)

public class Invoices implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "invoiceHeader")
    @SerializedName("invoiceHeader")
    private String invoiceHeader = null;

    @XmlElement(name = "amount")
    @SerializedName("amount")
    private String amount = null;

    @XmlElement(name = "code")
    @SerializedName("code")
    private String code = null;

    @XmlElement(name = "detail")
    @SerializedName("detail")
    private Detail detail = null;

    @XmlElement(name = "invoiceNo")
    @SerializedName("invoiceNo")
    private String invoiceNo = null;

    @XmlElement(name = "content")
    @SerializedName("content")
    private String content = null;

    public Invoices invoiceHeader(String invoiceHeader) {
        this.invoiceHeader = invoiceHeader;
        return this;
    }

    /**
     * 发票抬头
     * @return invoiceHeader
    **/

    public String getInvoiceHeader() {
        return invoiceHeader;
    }

    public void setInvoiceHeader(String invoiceHeader) {
        this.invoiceHeader = invoiceHeader;
    }

    public Invoices amount(String amount) {
        this.amount = amount;
        return this;
    }

    /**
     * 发票金额
     * @return amount
    **/

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public Invoices code(String code) {
        this.code = code;
        return this;
    }

    /**
     * 发票代码(纳税企业的标识)
     * @return code
    **/

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Invoices detail(Detail detail) {
        this.detail = detail;
        return this;
    }

    /**
     * Get detail
     * @return detail
    **/

    public Detail getDetail() {
        return detail;
    }

    public void setDetail(Detail detail) {
        this.detail = detail;
    }

    public Invoices invoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
        return this;
    }

    /**
     * 发票号码(纳税企业内部的发票号)
     * @return invoiceNo
    **/

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public Invoices content(String content) {
        this.content = content;
        return this;
    }

    /**
     * 发票内容
     * @return content
    **/

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        Invoices invoices = (Invoices) o;
        return Objects.equals(this.invoiceHeader, invoices.invoiceHeader) &&
        Objects.equals(this.amount, invoices.amount) &&
        Objects.equals(this.code, invoices.code) &&
        Objects.equals(this.detail, invoices.detail) &&
        Objects.equals(this.invoiceNo, invoices.invoiceNo) &&
        Objects.equals(this.content, invoices.content);
    }

    @Override
    public int hashCode() {
        return Objects.hash(invoiceHeader, amount, code, detail, invoiceNo, content);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class Invoices {\n");
        
        sb.append("    invoiceHeader: ").append(toIndentedString(invoiceHeader)).append("\n");
        sb.append("    amount: ").append(toIndentedString(amount)).append("\n");
        sb.append("    code: ").append(toIndentedString(code)).append("\n");
        sb.append("    detail: ").append(toIndentedString(detail)).append("\n");
        sb.append("    invoiceNo: ").append(toIndentedString(invoiceNo)).append("\n");
        sb.append("    content: ").append(toIndentedString(content)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

