/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufudeliveryorderquery;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.util.ArrayList;
import java.util.List;
import net.jdcloud.HufuStorageV2.model.jingdonghufudeliveryorderquery.PackageItems;
import net.jdcloud.HufuStorageV2.model.jingdonghufudeliveryorderquery.PackageMaterialList;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * Packages
 */
@XmlRootElement(name = "packages")
@XmlAccessorType(XmlAccessType.FIELD)

public class Packages implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "theoreticalWeight")
    @SerializedName("theoreticalWeight")
    private String theoreticalWeight = null;

    @XmlElement(name = "length")
    @SerializedName("length")
    private String length = null;

    @XmlElement(name = "logisticsCode")
    @SerializedName("logisticsCode")
    private String logisticsCode = null;

    @XmlElement(name = "weight")
    @SerializedName("weight")
    private String weight = null;

    @XmlElement(name = "logisticsName")
    @SerializedName("logisticsName")
    private String logisticsName = null;

    @XmlElement(name = "volume")
    @SerializedName("volume")
    private String volume = null;

    @XmlElementWrapper(name = "packageMaterialList")
    @XmlElement(name = "packageMaterialList")
    @SerializedName("packageMaterialList")
    private List<PackageMaterialList> packageMaterialList = null;

    @XmlElementWrapper(name = "packageItems")
    @XmlElement(name = "packageItems")
    @SerializedName("packageItems")
    private List<PackageItems> packageItems = null;

    @XmlElement(name = "packageCode")
    @SerializedName("packageCode")
    private String packageCode = null;

    @XmlElement(name = "expressCode")
    @SerializedName("expressCode")
    @Required
    private String expressCode = null;

    @XmlElement(name = "width")
    @SerializedName("width")
    private String width = null;

    @XmlElement(name = "invoiceNo")
    @SerializedName("invoiceNo")
    private String invoiceNo = null;

    @XmlElement(name = "height")
    @SerializedName("height")
    private String height = null;

    public Packages theoreticalWeight(String theoreticalWeight) {
        this.theoreticalWeight = theoreticalWeight;
        return this;
    }

    /**
     * 包裹理论重量(单位：千克)
     * @return theoreticalWeight
    **/

    public String getTheoreticalWeight() {
        return theoreticalWeight;
    }

    public void setTheoreticalWeight(String theoreticalWeight) {
        this.theoreticalWeight = theoreticalWeight;
    }

    public Packages length(String length) {
        this.length = length;
        return this;
    }

    /**
     * 包裹长度(单位：厘米)
     * @return length
    **/

    public String getLength() {
        return length;
    }

    public void setLength(String length) {
        this.length = length;
    }

    public Packages logisticsCode(String logisticsCode) {
        this.logisticsCode = logisticsCode;
        return this;
    }

    /**
     * 物流公司编码(SF&#x3D;顺丰、EMS&#x3D;标准快递、EYB&#x3D;经济快件、ZJS&#x3D;宅急送、YTO&#x3D;圆通、ZTO&#x3D;中通 (ZTO)、HTKY&#x3D;百世汇 通、 UC&#x3D;优速、STO&#x3D;申通、TTKDEX&#x3D;天天快递、QFKD&#x3D;全峰、FAST&#x3D;快捷、POSTB&#x3D;邮政小包、GTO&#x3D;国通、YUNDA&#x3D;韵达、JD&#x3D;京东配送、DD&#x3D;当当宅 配、 AMAZON&#x3D;亚马逊物流、OTHER&#x3D;其他;只传英文编码)
     * @return logisticsCode
    **/

    public String getLogisticsCode() {
        return logisticsCode;
    }

    public void setLogisticsCode(String logisticsCode) {
        this.logisticsCode = logisticsCode;
    }

    public Packages weight(String weight) {
        this.weight = weight;
        return this;
    }

    /**
     * 包裹重量(单位：千克)
     * @return weight
    **/

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    public Packages logisticsName(String logisticsName) {
        this.logisticsName = logisticsName;
        return this;
    }

    /**
     * 物流公司名称
     * @return logisticsName
    **/

    public String getLogisticsName() {
        return logisticsName;
    }

    public void setLogisticsName(String logisticsName) {
        this.logisticsName = logisticsName;
    }

    public Packages volume(String volume) {
        this.volume = volume;
        return this;
    }

    /**
     * 包裹体积(单位：升)
     * @return volume
    **/

    public String getVolume() {
        return volume;
    }

    public void setVolume(String volume) {
        this.volume = volume;
    }

    public Packages packageMaterialList(List<PackageMaterialList> packageMaterialList) {
        this.packageMaterialList = packageMaterialList;
        return this;
    }

    public Packages addPackageMaterialListItem(PackageMaterialList packageMaterialListItem) {
        if (this.packageMaterialList == null) {
            this.packageMaterialList = new ArrayList<PackageMaterialList>();
        }
        this.packageMaterialList.add(packageMaterialListItem);
        return this;
    }

    /**
     * 包材信息
     * @return packageMaterialList
    **/

    public List<PackageMaterialList> getPackageMaterialList() {
        return packageMaterialList;
    }

    public void setPackageMaterialList(List<PackageMaterialList> packageMaterialList) {
        this.packageMaterialList = packageMaterialList;
    }

    public Packages packageItems(List<PackageItems> packageItems) {
        this.packageItems = packageItems;
        return this;
    }

    public Packages addPackageItemsItem(PackageItems packageItemsItem) {
        if (this.packageItems == null) {
            this.packageItems = new ArrayList<PackageItems>();
        }
        this.packageItems.add(packageItemsItem);
        return this;
    }

    /**
     * 商品列表
     * @return packageItems
    **/

    public List<PackageItems> getPackageItems() {
        return packageItems;
    }

    public void setPackageItems(List<PackageItems> packageItems) {
        this.packageItems = packageItems;
    }

    public Packages packageCode(String packageCode) {
        this.packageCode = packageCode;
        return this;
    }

    /**
     * 包裹编号
     * @return packageCode
    **/

    public String getPackageCode() {
        return packageCode;
    }

    public void setPackageCode(String packageCode) {
        this.packageCode = packageCode;
    }

    public Packages expressCode(String expressCode) {
        this.expressCode = expressCode;
        return this;
    }

    /**
     * 运单号
     * @return expressCode
    **/

    public String getExpressCode() {
        return expressCode;
    }

    public void setExpressCode(String expressCode) {
        this.expressCode = expressCode;
    }

    public Packages width(String width) {
        this.width = width;
        return this;
    }

    /**
     * 包裹宽度(单位：厘米)
     * @return width
    **/

    public String getWidth() {
        return width;
    }

    public void setWidth(String width) {
        this.width = width;
    }

    public Packages invoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
        return this;
    }

    /**
     * 发票号
     * @return invoiceNo
    **/

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public Packages height(String height) {
        this.height = height;
        return this;
    }

    /**
     * 包裹高度(单位：厘米)
     * @return height
    **/

    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        Packages packages = (Packages) o;
        return Objects.equals(this.theoreticalWeight, packages.theoreticalWeight) &&
        Objects.equals(this.length, packages.length) &&
        Objects.equals(this.logisticsCode, packages.logisticsCode) &&
        Objects.equals(this.weight, packages.weight) &&
        Objects.equals(this.logisticsName, packages.logisticsName) &&
        Objects.equals(this.volume, packages.volume) &&
        Objects.equals(this.packageMaterialList, packages.packageMaterialList) &&
        Objects.equals(this.packageItems, packages.packageItems) &&
        Objects.equals(this.packageCode, packages.packageCode) &&
        Objects.equals(this.expressCode, packages.expressCode) &&
        Objects.equals(this.width, packages.width) &&
        Objects.equals(this.invoiceNo, packages.invoiceNo) &&
        Objects.equals(this.height, packages.height);
    }

    @Override
    public int hashCode() {
        return Objects.hash(theoreticalWeight, length, logisticsCode, weight, logisticsName, volume, packageMaterialList, packageItems, packageCode, expressCode, width, invoiceNo, height);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class Packages {\n");
        
        sb.append("    theoreticalWeight: ").append(toIndentedString(theoreticalWeight)).append("\n");
        sb.append("    length: ").append(toIndentedString(length)).append("\n");
        sb.append("    logisticsCode: ").append(toIndentedString(logisticsCode)).append("\n");
        sb.append("    weight: ").append(toIndentedString(weight)).append("\n");
        sb.append("    logisticsName: ").append(toIndentedString(logisticsName)).append("\n");
        sb.append("    volume: ").append(toIndentedString(volume)).append("\n");
        sb.append("    packageMaterialList: ").append(toIndentedString(packageMaterialList)).append("\n");
        sb.append("    packageItems: ").append(toIndentedString(packageItems)).append("\n");
        sb.append("    packageCode: ").append(toIndentedString(packageCode)).append("\n");
        sb.append("    expressCode: ").append(toIndentedString(expressCode)).append("\n");
        sb.append("    width: ").append(toIndentedString(width)).append("\n");
        sb.append("    invoiceNo: ").append(toIndentedString(invoiceNo)).append("\n");
        sb.append("    height: ").append(toIndentedString(height)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

