/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufudeliveryorderquery;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.util.ArrayList;
import java.util.List;
import net.jdcloud.HufuStorageV2.model.jingdonghufudeliveryorderquery.DeliveryOrder;
import net.jdcloud.HufuStorageV2.model.jingdonghufudeliveryorderquery.OrderLines;
import net.jdcloud.HufuStorageV2.model.jingdonghufudeliveryorderquery.Packages;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * 查询发货单详情响应体信息
 */
@XmlRootElement(name = "result")
@XmlAccessorType(XmlAccessType.FIELD)

public class Result implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "flag")
    @SerializedName("flag")
    private String flag = null;

    @XmlElement(name = "code")
    @SerializedName("code")
    private String code = null;

    @XmlElement(name = "orderLines")
    @SerializedName("orderLines")
    private OrderLines orderLines = null;

    @XmlElement(name = "totalLines")
    @SerializedName("totalLines")
    private Integer totalLines = null;

    @XmlElement(name = "deliveryOrder")
    @SerializedName("deliveryOrder")
    private DeliveryOrder deliveryOrder = null;

    @XmlElement(name = "message")
    @SerializedName("message")
    private String message = null;

    @XmlElementWrapper(name = "packages")
    @XmlElement(name = "packages")
    @SerializedName("packages")
    private List<Packages> packages = null;

    public Result flag(String flag) {
        this.flag = flag;
        return this;
    }

    /**
     * 响应结果:success|failure
     * @return flag
    **/

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public Result code(String code) {
        this.code = code;
        return this;
    }

    /**
     * 响应码
     * @return code
    **/

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Result orderLines(OrderLines orderLines) {
        this.orderLines = orderLines;
        return this;
    }

    /**
     * Get orderLines
     * @return orderLines
    **/

    public OrderLines getOrderLines() {
        return orderLines;
    }

    public void setOrderLines(OrderLines orderLines) {
        this.orderLines = orderLines;
    }

    public Result totalLines(Integer totalLines) {
        this.totalLines = totalLines;
        return this;
    }

    /**
     * orderLines总条数
     * @return totalLines
    **/

    public Integer getTotalLines() {
        return totalLines;
    }

    public void setTotalLines(Integer totalLines) {
        this.totalLines = totalLines;
    }

    public Result deliveryOrder(DeliveryOrder deliveryOrder) {
        this.deliveryOrder = deliveryOrder;
        return this;
    }

    /**
     * Get deliveryOrder
     * @return deliveryOrder
    **/

    public DeliveryOrder getDeliveryOrder() {
        return deliveryOrder;
    }

    public void setDeliveryOrder(DeliveryOrder deliveryOrder) {
        this.deliveryOrder = deliveryOrder;
    }

    public Result message(String message) {
        this.message = message;
        return this;
    }

    /**
     * 响应信息
     * @return message
    **/

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Result packages(List<Packages> packages) {
        this.packages = packages;
        return this;
    }

    public Result addPackagesItem(Packages packagesItem) {
        if (this.packages == null) {
            this.packages = new ArrayList<Packages>();
        }
        this.packages.add(packagesItem);
        return this;
    }

    /**
     * 包裹信息
     * @return packages
    **/

    public List<Packages> getPackages() {
        return packages;
    }

    public void setPackages(List<Packages> packages) {
        this.packages = packages;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        Result result = (Result) o;
        return Objects.equals(this.flag, result.flag) &&
        Objects.equals(this.code, result.code) &&
        Objects.equals(this.orderLines, result.orderLines) &&
        Objects.equals(this.totalLines, result.totalLines) &&
        Objects.equals(this.deliveryOrder, result.deliveryOrder) &&
        Objects.equals(this.message, result.message) &&
        Objects.equals(this.packages, result.packages);
    }

    @Override
    public int hashCode() {
        return Objects.hash(flag, code, orderLines, totalLines, deliveryOrder, message, packages);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class Result {\n");
        
        sb.append("    flag: ").append(toIndentedString(flag)).append("\n");
        sb.append("    code: ").append(toIndentedString(code)).append("\n");
        sb.append("    orderLines: ").append(toIndentedString(orderLines)).append("\n");
        sb.append("    totalLines: ").append(toIndentedString(totalLines)).append("\n");
        sb.append("    deliveryOrder: ").append(toIndentedString(deliveryOrder)).append("\n");
        sb.append("    message: ").append(toIndentedString(message)).append("\n");
        sb.append("    packages: ").append(toIndentedString(packages)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

