/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufuentryorderconfirm;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * 入库单信息
 */
@XmlRootElement(name = "entryOrder")
@XmlAccessorType(XmlAccessType.FIELD)

public class EntryOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "orderType")
    @SerializedName("orderType")
    private String orderType = null;

    @XmlElement(name = "totalOrderLines")
    @SerializedName("totalOrderLines")
    private Integer totalOrderLines = null;

    @XmlElement(name = "entryOrderType")
    @SerializedName("entryOrderType")
    private String entryOrderType = null;

    @XmlElement(name = "entryOrderCode")
    @SerializedName("entryOrderCode")
    @Required
    private String entryOrderCode = null;

    @XmlElement(name = "orderId")
    @SerializedName("orderId")
    private String orderId = null;

    @XmlElement(name = "ownerCode")
    @SerializedName("ownerCode")
    @Required
    private String ownerCode = null;

    @XmlElement(name = "operateTime")
    @SerializedName("operateTime")
    private String operateTime = null;

    @XmlElement(name = "freight")
    @SerializedName("freight")
    private String freight = null;

    @XmlElement(name = "remark")
    @SerializedName("remark")
    private String remark = null;

    @XmlElement(name = "warehouseName")
    @SerializedName("warehouseName")
    private String warehouseName = null;

    @XmlElement(name = "warehouseCode")
    @SerializedName("warehouseCode")
    @Required
    private String warehouseCode = null;

    @XmlElement(name = "purchaseOrderCode")
    @SerializedName("purchaseOrderCode")
    private String purchaseOrderCode = null;

    @XmlElement(name = "outBizCode")
    @SerializedName("outBizCode")
    @Required
    private String outBizCode = null;

    @XmlElement(name = "entryOrderId")
    @SerializedName("entryOrderId")
    private String entryOrderId = null;

    @XmlElement(name = "orderCode")
    @SerializedName("orderCode")
    private String orderCode = null;

    @XmlElement(name = "confirmType")
    @SerializedName("confirmType")
    private Integer confirmType = null;

    @XmlElement(name = "status")
    @SerializedName("status")
    @Required
    private String status = null;

    public EntryOrder orderType(String orderType) {
        this.orderType = orderType;
        return this;
    }

    /**
     * 订单类型
     * @return orderType
    **/

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public EntryOrder totalOrderLines(Integer totalOrderLines) {
        this.totalOrderLines = totalOrderLines;
        return this;
    }

    /**
     * 单据总行数(当单据需要分多个请求发送时;发送方需要将totalOrderLines填入;接收方收到后;根据实际接收到的 条数和 totalOrderLines进行比对;如果小于;则继续等待接收请求。如果等于;则表示该单据的所有请求发送完 成)
     * @return totalOrderLines
    **/

    public Integer getTotalOrderLines() {
        return totalOrderLines;
    }

    public void setTotalOrderLines(Integer totalOrderLines) {
        this.totalOrderLines = totalOrderLines;
    }

    public EntryOrder entryOrderType(String entryOrderType) {
        this.entryOrderType = entryOrderType;
        return this;
    }

    /**
     * 入库单类型(SCRK&#x3D;生产入库;LYRK&#x3D;领用入库;CCRK&#x3D;残次品入库;CGRK&#x3D;采购入库;DBRK&#x3D;调拨入库;QTRK&#x3D;其他入 库;B2BRK&#x3D;B2B入库)
     * @return entryOrderType
    **/

    public String getEntryOrderType() {
        return entryOrderType;
    }

    public void setEntryOrderType(String entryOrderType) {
        this.entryOrderType = entryOrderType;
    }

    public EntryOrder entryOrderCode(String entryOrderCode) {
        this.entryOrderCode = entryOrderCode;
        return this;
    }

    /**
     * 入库单号
     * @return entryOrderCode
    **/

    public String getEntryOrderCode() {
        return entryOrderCode;
    }

    public void setEntryOrderCode(String entryOrderCode) {
        this.entryOrderCode = entryOrderCode;
    }

    public EntryOrder orderId(String orderId) {
        this.orderId = orderId;
        return this;
    }

    /**
     * 后端订单id
     * @return orderId
    **/

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public EntryOrder ownerCode(String ownerCode) {
        this.ownerCode = ownerCode;
        return this;
    }

    /**
     * 货主编码
     * @return ownerCode
    **/

    public String getOwnerCode() {
        return ownerCode;
    }

    public void setOwnerCode(String ownerCode) {
        this.ownerCode = ownerCode;
    }

    public EntryOrder operateTime(String operateTime) {
        this.operateTime = operateTime;
        return this;
    }

    /**
     * 操作时间(YYYY-MM-DD HH:MM:SS;当status&#x3D;FULFILLED;operateTime为入库时间)
     * @return operateTime
    **/

    public String getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(String operateTime) {
        this.operateTime = operateTime;
    }

    public EntryOrder freight(String freight) {
        this.freight = freight;
        return this;
    }

    /**
     * 邮费
     * @return freight
    **/

    public String getFreight() {
        return freight;
    }

    public void setFreight(String freight) {
        this.freight = freight;
    }

    public EntryOrder remark(String remark) {
        this.remark = remark;
        return this;
    }

    /**
     * 备注
     * @return remark
    **/

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public EntryOrder warehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
        return this;
    }

    /**
     * 仓库名称
     * @return warehouseName
    **/

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public EntryOrder warehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
        return this;
    }

    /**
     * 仓库编码(统仓统配等无需ERP指定仓储编码的情况填OTHER)
     * @return warehouseCode
    **/

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public EntryOrder purchaseOrderCode(String purchaseOrderCode) {
        this.purchaseOrderCode = purchaseOrderCode;
        return this;
    }

    /**
     * 采购单号(当orderType&#x3D;CGRK时使用)
     * @return purchaseOrderCode
    **/

    public String getPurchaseOrderCode() {
        return purchaseOrderCode;
    }

    public void setPurchaseOrderCode(String purchaseOrderCode) {
        this.purchaseOrderCode = purchaseOrderCode;
    }

    public EntryOrder outBizCode(String outBizCode) {
        this.outBizCode = outBizCode;
        return this;
    }

    /**
     * 外部业务编码(消息ID;用于去重;ISV对于同一请求;分配一个唯一性的编码。用来保证因为网络等原因导致重复传输;请求 不会被重复处理)
     * @return outBizCode
    **/

    public String getOutBizCode() {
        return outBizCode;
    }

    public void setOutBizCode(String outBizCode) {
        this.outBizCode = outBizCode;
    }

    public EntryOrder entryOrderId(String entryOrderId) {
        this.entryOrderId = entryOrderId;
        return this;
    }

    /**
     * 仓储系统入库单ID
     * @return entryOrderId
    **/

    public String getEntryOrderId() {
        return entryOrderId;
    }

    public void setEntryOrderId(String entryOrderId) {
        this.entryOrderId = entryOrderId;
    }

    public EntryOrder orderCode(String orderCode) {
        this.orderCode = orderCode;
        return this;
    }

    /**
     * 订单编码
     * @return orderCode
    **/

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public EntryOrder confirmType(Integer confirmType) {
        this.confirmType = confirmType;
        return this;
    }

    /**
     * 支持出入库单多次收货(多次收货后确认时:0:表示入库单最终状态确认;1:表示入库单中间状态确认;每次入库传入的数量为增 量;特殊情况;同一入库单;如果先收到0;后又收到1;允许修改收货的数量)
     * @return confirmType
    **/

    public Integer getConfirmType() {
        return confirmType;
    }

    public void setConfirmType(Integer confirmType) {
        this.confirmType = confirmType;
    }

    public EntryOrder status(String status) {
        this.status = status;
        return this;
    }

    /**
     * 入库单状态(NEW-未开始处理;ACCEPT-仓库接单;PARTFULFILLED-部分收货完成;FULFILLED-收货完成;EXCEPTION-异 常;CANCELED-取消;CLOSED-关闭;REJECT-拒单;CANCELEDFAIL-取消失败;只传英文编码)
     * @return status
    **/

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        EntryOrder entryOrder = (EntryOrder) o;
        return Objects.equals(this.orderType, entryOrder.orderType) &&
        Objects.equals(this.totalOrderLines, entryOrder.totalOrderLines) &&
        Objects.equals(this.entryOrderType, entryOrder.entryOrderType) &&
        Objects.equals(this.entryOrderCode, entryOrder.entryOrderCode) &&
        Objects.equals(this.orderId, entryOrder.orderId) &&
        Objects.equals(this.ownerCode, entryOrder.ownerCode) &&
        Objects.equals(this.operateTime, entryOrder.operateTime) &&
        Objects.equals(this.freight, entryOrder.freight) &&
        Objects.equals(this.remark, entryOrder.remark) &&
        Objects.equals(this.warehouseName, entryOrder.warehouseName) &&
        Objects.equals(this.warehouseCode, entryOrder.warehouseCode) &&
        Objects.equals(this.purchaseOrderCode, entryOrder.purchaseOrderCode) &&
        Objects.equals(this.outBizCode, entryOrder.outBizCode) &&
        Objects.equals(this.entryOrderId, entryOrder.entryOrderId) &&
        Objects.equals(this.orderCode, entryOrder.orderCode) &&
        Objects.equals(this.confirmType, entryOrder.confirmType) &&
        Objects.equals(this.status, entryOrder.status);
    }

    @Override
    public int hashCode() {
        return Objects.hash(orderType, totalOrderLines, entryOrderType, entryOrderCode, orderId, ownerCode, operateTime, freight, remark, warehouseName, warehouseCode, purchaseOrderCode, outBizCode, entryOrderId, orderCode, confirmType, status);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class EntryOrder {\n");
        
        sb.append("    orderType: ").append(toIndentedString(orderType)).append("\n");
        sb.append("    totalOrderLines: ").append(toIndentedString(totalOrderLines)).append("\n");
        sb.append("    entryOrderType: ").append(toIndentedString(entryOrderType)).append("\n");
        sb.append("    entryOrderCode: ").append(toIndentedString(entryOrderCode)).append("\n");
        sb.append("    orderId: ").append(toIndentedString(orderId)).append("\n");
        sb.append("    ownerCode: ").append(toIndentedString(ownerCode)).append("\n");
        sb.append("    operateTime: ").append(toIndentedString(operateTime)).append("\n");
        sb.append("    freight: ").append(toIndentedString(freight)).append("\n");
        sb.append("    remark: ").append(toIndentedString(remark)).append("\n");
        sb.append("    warehouseName: ").append(toIndentedString(warehouseName)).append("\n");
        sb.append("    warehouseCode: ").append(toIndentedString(warehouseCode)).append("\n");
        sb.append("    purchaseOrderCode: ").append(toIndentedString(purchaseOrderCode)).append("\n");
        sb.append("    outBizCode: ").append(toIndentedString(outBizCode)).append("\n");
        sb.append("    entryOrderId: ").append(toIndentedString(entryOrderId)).append("\n");
        sb.append("    orderCode: ").append(toIndentedString(orderCode)).append("\n");
        sb.append("    confirmType: ").append(toIndentedString(confirmType)).append("\n");
        sb.append("    status: ").append(toIndentedString(status)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

