/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufuentryordercreate;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.util.ArrayList;
import java.util.List;
import net.jdcloud.HufuStorageV2.model.jingdonghufuentryordercreate.ReceiverInfo;
import net.jdcloud.HufuStorageV2.model.jingdonghufuentryordercreate.RelatedOrders;
import net.jdcloud.HufuStorageV2.model.jingdonghufuentryordercreate.SenderInfo;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * 入库单信息
 */
@XmlRootElement(name = "entryOrder")
@XmlAccessorType(XmlAccessType.FIELD)

public class EntryOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "supplierName")
    @SerializedName("supplierName")
    private String supplierName = null;

    @XmlElement(name = "orderType")
    @SerializedName("orderType")
    private String orderType = null;

    @XmlElement(name = "totalOrderLines")
    @SerializedName("totalOrderLines")
    private String totalOrderLines = null;

    @XmlElement(name = "entryOrderCode")
    @SerializedName("entryOrderCode")
    @Required
    private String entryOrderCode = null;

    @XmlElement(name = "ownerCode")
    @SerializedName("ownerCode")
    @Required
    private String ownerCode = null;

    @XmlElement(name = "expectEndTime")
    @SerializedName("expectEndTime")
    private String expectEndTime = null;

    @XmlElement(name = "orderCreateTime")
    @SerializedName("orderCreateTime")
    private String orderCreateTime = null;

    @XmlElement(name = "expectStartTime")
    @SerializedName("expectStartTime")
    private String expectStartTime = null;

    @XmlElement(name = "operateTime")
    @SerializedName("operateTime")
    private String operateTime = null;

    @XmlElement(name = "receiverInfo")
    @SerializedName("receiverInfo")
    private ReceiverInfo receiverInfo = null;

    @XmlElement(name = "logisticsCode")
    @SerializedName("logisticsCode")
    private String logisticsCode = null;

    @XmlElement(name = "remark")
    @SerializedName("remark")
    private String remark = null;

    @XmlElement(name = "supplierCode")
    @SerializedName("supplierCode")
    private String supplierCode = null;

    @XmlElement(name = "operatorCode")
    @SerializedName("operatorCode")
    private String operatorCode = null;

    @XmlElement(name = "operatorName")
    @SerializedName("operatorName")
    private String operatorName = null;

    @XmlElement(name = "warehouseCode")
    @SerializedName("warehouseCode")
    @Required
    private String warehouseCode = null;

    @XmlElement(name = "logisticsName")
    @SerializedName("logisticsName")
    private String logisticsName = null;

    @XmlElement(name = "purchaseOrderCode")
    @SerializedName("purchaseOrderCode")
    private String purchaseOrderCode = null;

    @XmlElement(name = "senderInfo")
    @SerializedName("senderInfo")
    private SenderInfo senderInfo = null;

    @XmlElement(name = "expressCode")
    @SerializedName("expressCode")
    private String expressCode = null;

    @XmlElementWrapper(name = "relatedOrders")
    @XmlElement(name = "relatedOrders")
    @SerializedName("relatedOrders")
    private List<RelatedOrders> relatedOrders = null;

    public EntryOrder supplierName(String supplierName) {
        this.supplierName = supplierName;
        return this;
    }

    /**
     * 供应商名称
     * @return supplierName
    **/

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public EntryOrder orderType(String orderType) {
        this.orderType = orderType;
        return this;
    }

    /**
     * 业务类型(SCRK&#x3D;生产入库;LYRK&#x3D;领用入库;CCRK&#x3D;残次品入库;CGRK&#x3D;采购入库;DBRK&#x3D;调拨入库;QTRK&#x3D;其他入库;B2BRK&#x3D;B2B入 库;XNRK&#x3D;虚拟入库;只传英文编码)
     * @return orderType
    **/

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public EntryOrder totalOrderLines(String totalOrderLines) {
        this.totalOrderLines = totalOrderLines;
        return this;
    }

    /**
     * totalOrderLines
     * @return totalOrderLines
    **/

    public String getTotalOrderLines() {
        return totalOrderLines;
    }

    public void setTotalOrderLines(String totalOrderLines) {
        this.totalOrderLines = totalOrderLines;
    }

    public EntryOrder entryOrderCode(String entryOrderCode) {
        this.entryOrderCode = entryOrderCode;
        return this;
    }

    /**
     * 入库单号
     * @return entryOrderCode
    **/

    public String getEntryOrderCode() {
        return entryOrderCode;
    }

    public void setEntryOrderCode(String entryOrderCode) {
        this.entryOrderCode = entryOrderCode;
    }

    public EntryOrder ownerCode(String ownerCode) {
        this.ownerCode = ownerCode;
        return this;
    }

    /**
     * 货主编码
     * @return ownerCode
    **/

    public String getOwnerCode() {
        return ownerCode;
    }

    public void setOwnerCode(String ownerCode) {
        this.ownerCode = ownerCode;
    }

    public EntryOrder expectEndTime(String expectEndTime) {
        this.expectEndTime = expectEndTime;
        return this;
    }

    /**
     * 最迟预期到货时间(YYYY-MM-DD HH:MM:SS)
     * @return expectEndTime
    **/

    public String getExpectEndTime() {
        return expectEndTime;
    }

    public void setExpectEndTime(String expectEndTime) {
        this.expectEndTime = expectEndTime;
    }

    public EntryOrder orderCreateTime(String orderCreateTime) {
        this.orderCreateTime = orderCreateTime;
        return this;
    }

    /**
     * 订单创建时间(YYYY-MM-DD HH:MM:SS)
     * @return orderCreateTime
    **/

    public String getOrderCreateTime() {
        return orderCreateTime;
    }

    public void setOrderCreateTime(String orderCreateTime) {
        this.orderCreateTime = orderCreateTime;
    }

    public EntryOrder expectStartTime(String expectStartTime) {
        this.expectStartTime = expectStartTime;
        return this;
    }

    /**
     * 预期到货时间(YYYY-MM-DD HH:MM:SS)
     * @return expectStartTime
    **/

    public String getExpectStartTime() {
        return expectStartTime;
    }

    public void setExpectStartTime(String expectStartTime) {
        this.expectStartTime = expectStartTime;
    }

    public EntryOrder operateTime(String operateTime) {
        this.operateTime = operateTime;
        return this;
    }

    /**
     * 操作时间(YYYY-MM-DD HH:MM:SS)
     * @return operateTime
    **/

    public String getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(String operateTime) {
        this.operateTime = operateTime;
    }

    public EntryOrder receiverInfo(ReceiverInfo receiverInfo) {
        this.receiverInfo = receiverInfo;
        return this;
    }

    /**
     * Get receiverInfo
     * @return receiverInfo
    **/

    public ReceiverInfo getReceiverInfo() {
        return receiverInfo;
    }

    public void setReceiverInfo(ReceiverInfo receiverInfo) {
        this.receiverInfo = receiverInfo;
    }

    public EntryOrder logisticsCode(String logisticsCode) {
        this.logisticsCode = logisticsCode;
        return this;
    }

    /**
     * 物流公司编码(SF&#x3D;顺丰、EMS&#x3D;标准快递、EYB&#x3D;经济快件、ZJS&#x3D;宅急送、YTO&#x3D;圆通 、ZTO&#x3D;中通(ZTO)、HTKY&#x3D;百世汇通、 UC&#x3D;优速、STO&#x3D;申通、TTKDEX&#x3D;天天快递、QFKD&#x3D;全峰、FAST&#x3D;快捷、POSTB&#x3D;邮政小包、GTO&#x3D;国通、YUNDA&#x3D;韵达、JD&#x3D;京东配送、DD&#x3D;当当宅配、 AMAZON&#x3D;亚马逊物流、OTHER&#x3D;其他(只传英文编码))
     * @return logisticsCode
    **/

    public String getLogisticsCode() {
        return logisticsCode;
    }

    public void setLogisticsCode(String logisticsCode) {
        this.logisticsCode = logisticsCode;
    }

    public EntryOrder remark(String remark) {
        this.remark = remark;
        return this;
    }

    /**
     * 备注
     * @return remark
    **/

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public EntryOrder supplierCode(String supplierCode) {
        this.supplierCode = supplierCode;
        return this;
    }

    /**
     * 供应商编码
     * @return supplierCode
    **/

    public String getSupplierCode() {
        return supplierCode;
    }

    public void setSupplierCode(String supplierCode) {
        this.supplierCode = supplierCode;
    }

    public EntryOrder operatorCode(String operatorCode) {
        this.operatorCode = operatorCode;
        return this;
    }

    /**
     * 操作员编码
     * @return operatorCode
    **/

    public String getOperatorCode() {
        return operatorCode;
    }

    public void setOperatorCode(String operatorCode) {
        this.operatorCode = operatorCode;
    }

    public EntryOrder operatorName(String operatorName) {
        this.operatorName = operatorName;
        return this;
    }

    /**
     * 操作员名称
     * @return operatorName
    **/

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public EntryOrder warehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
        return this;
    }

    /**
     * 仓库编码(统仓统配等无需ERP指定仓储编码的情况填OTHER)
     * @return warehouseCode
    **/

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public EntryOrder logisticsName(String logisticsName) {
        this.logisticsName = logisticsName;
        return this;
    }

    /**
     * 物流公司名称
     * @return logisticsName
    **/

    public String getLogisticsName() {
        return logisticsName;
    }

    public void setLogisticsName(String logisticsName) {
        this.logisticsName = logisticsName;
    }

    public EntryOrder purchaseOrderCode(String purchaseOrderCode) {
        this.purchaseOrderCode = purchaseOrderCode;
        return this;
    }

    /**
     * 采购单号(当orderType&#x3D;CGRK时使用)
     * @return purchaseOrderCode
    **/

    public String getPurchaseOrderCode() {
        return purchaseOrderCode;
    }

    public void setPurchaseOrderCode(String purchaseOrderCode) {
        this.purchaseOrderCode = purchaseOrderCode;
    }

    public EntryOrder senderInfo(SenderInfo senderInfo) {
        this.senderInfo = senderInfo;
        return this;
    }

    /**
     * Get senderInfo
     * @return senderInfo
    **/

    public SenderInfo getSenderInfo() {
        return senderInfo;
    }

    public void setSenderInfo(SenderInfo senderInfo) {
        this.senderInfo = senderInfo;
    }

    public EntryOrder expressCode(String expressCode) {
        this.expressCode = expressCode;
        return this;
    }

    /**
     * 运单号
     * @return expressCode
    **/

    public String getExpressCode() {
        return expressCode;
    }

    public void setExpressCode(String expressCode) {
        this.expressCode = expressCode;
    }

    public EntryOrder relatedOrders(List<RelatedOrders> relatedOrders) {
        this.relatedOrders = relatedOrders;
        return this;
    }

    public EntryOrder addRelatedOrdersItem(RelatedOrders relatedOrdersItem) {
        if (this.relatedOrders == null) {
            this.relatedOrders = new ArrayList<RelatedOrders>();
        }
        this.relatedOrders.add(relatedOrdersItem);
        return this;
    }

    /**
     * 关联订单信息
     * @return relatedOrders
    **/

    public List<RelatedOrders> getRelatedOrders() {
        return relatedOrders;
    }

    public void setRelatedOrders(List<RelatedOrders> relatedOrders) {
        this.relatedOrders = relatedOrders;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        EntryOrder entryOrder = (EntryOrder) o;
        return Objects.equals(this.supplierName, entryOrder.supplierName) &&
        Objects.equals(this.orderType, entryOrder.orderType) &&
        Objects.equals(this.totalOrderLines, entryOrder.totalOrderLines) &&
        Objects.equals(this.entryOrderCode, entryOrder.entryOrderCode) &&
        Objects.equals(this.ownerCode, entryOrder.ownerCode) &&
        Objects.equals(this.expectEndTime, entryOrder.expectEndTime) &&
        Objects.equals(this.orderCreateTime, entryOrder.orderCreateTime) &&
        Objects.equals(this.expectStartTime, entryOrder.expectStartTime) &&
        Objects.equals(this.operateTime, entryOrder.operateTime) &&
        Objects.equals(this.receiverInfo, entryOrder.receiverInfo) &&
        Objects.equals(this.logisticsCode, entryOrder.logisticsCode) &&
        Objects.equals(this.remark, entryOrder.remark) &&
        Objects.equals(this.supplierCode, entryOrder.supplierCode) &&
        Objects.equals(this.operatorCode, entryOrder.operatorCode) &&
        Objects.equals(this.operatorName, entryOrder.operatorName) &&
        Objects.equals(this.warehouseCode, entryOrder.warehouseCode) &&
        Objects.equals(this.logisticsName, entryOrder.logisticsName) &&
        Objects.equals(this.purchaseOrderCode, entryOrder.purchaseOrderCode) &&
        Objects.equals(this.senderInfo, entryOrder.senderInfo) &&
        Objects.equals(this.expressCode, entryOrder.expressCode) &&
        Objects.equals(this.relatedOrders, entryOrder.relatedOrders);
    }

    @Override
    public int hashCode() {
        return Objects.hash(supplierName, orderType, totalOrderLines, entryOrderCode, ownerCode, expectEndTime, orderCreateTime, expectStartTime, operateTime, receiverInfo, logisticsCode, remark, supplierCode, operatorCode, operatorName, warehouseCode, logisticsName, purchaseOrderCode, senderInfo, expressCode, relatedOrders);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class EntryOrder {\n");
        
        sb.append("    supplierName: ").append(toIndentedString(supplierName)).append("\n");
        sb.append("    orderType: ").append(toIndentedString(orderType)).append("\n");
        sb.append("    totalOrderLines: ").append(toIndentedString(totalOrderLines)).append("\n");
        sb.append("    entryOrderCode: ").append(toIndentedString(entryOrderCode)).append("\n");
        sb.append("    ownerCode: ").append(toIndentedString(ownerCode)).append("\n");
        sb.append("    expectEndTime: ").append(toIndentedString(expectEndTime)).append("\n");
        sb.append("    orderCreateTime: ").append(toIndentedString(orderCreateTime)).append("\n");
        sb.append("    expectStartTime: ").append(toIndentedString(expectStartTime)).append("\n");
        sb.append("    operateTime: ").append(toIndentedString(operateTime)).append("\n");
        sb.append("    receiverInfo: ").append(toIndentedString(receiverInfo)).append("\n");
        sb.append("    logisticsCode: ").append(toIndentedString(logisticsCode)).append("\n");
        sb.append("    remark: ").append(toIndentedString(remark)).append("\n");
        sb.append("    supplierCode: ").append(toIndentedString(supplierCode)).append("\n");
        sb.append("    operatorCode: ").append(toIndentedString(operatorCode)).append("\n");
        sb.append("    operatorName: ").append(toIndentedString(operatorName)).append("\n");
        sb.append("    warehouseCode: ").append(toIndentedString(warehouseCode)).append("\n");
        sb.append("    logisticsName: ").append(toIndentedString(logisticsName)).append("\n");
        sb.append("    purchaseOrderCode: ").append(toIndentedString(purchaseOrderCode)).append("\n");
        sb.append("    senderInfo: ").append(toIndentedString(senderInfo)).append("\n");
        sb.append("    expressCode: ").append(toIndentedString(expressCode)).append("\n");
        sb.append("    relatedOrders: ").append(toIndentedString(relatedOrders)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

