/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufuentryorderquery;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * 入库单信息
 */
@XmlRootElement(name = "entryOrder")
@XmlAccessorType(XmlAccessType.FIELD)

public class EntryOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "entryOrderType")
    @SerializedName("entryOrderType")
    private String entryOrderType = null;

    @XmlElement(name = "entryOrderCode")
    @SerializedName("entryOrderCode")
    private String entryOrderCode = null;

    @XmlElement(name = "ownerCode")
    @SerializedName("ownerCode")
    private String ownerCode = null;

    @XmlElement(name = "operateTime")
    @SerializedName("operateTime")
    private String operateTime = null;

    @XmlElement(name = "entryOrderId")
    @SerializedName("entryOrderId")
    private String entryOrderId = null;

    @XmlElement(name = "warehouseCode")
    @SerializedName("warehouseCode")
    private String warehouseCode = null;

    @XmlElement(name = "status")
    @SerializedName("status")
    private String status = null;

    public EntryOrder entryOrderType(String entryOrderType) {
        this.entryOrderType = entryOrderType;
        return this;
    }

    /**
     * 入库单类型(SCRK&#x3D;生产入库;LYRK&#x3D;领用入库;CCRK&#x3D;残次品入库;CGRK&#x3D;采购入库;DBRK&#x3D;调拨入库;QTRK&#x3D;其他入 库;B2BRK&#x3D;B2B入库)
     * @return entryOrderType
    **/

    public String getEntryOrderType() {
        return entryOrderType;
    }

    public void setEntryOrderType(String entryOrderType) {
        this.entryOrderType = entryOrderType;
    }

    public EntryOrder entryOrderCode(String entryOrderCode) {
        this.entryOrderCode = entryOrderCode;
        return this;
    }

    /**
     * 入库单号
     * @return entryOrderCode
    **/

    public String getEntryOrderCode() {
        return entryOrderCode;
    }

    public void setEntryOrderCode(String entryOrderCode) {
        this.entryOrderCode = entryOrderCode;
    }

    public EntryOrder ownerCode(String ownerCode) {
        this.ownerCode = ownerCode;
        return this;
    }

    /**
     * 货主编码
     * @return ownerCode
    **/

    public String getOwnerCode() {
        return ownerCode;
    }

    public void setOwnerCode(String ownerCode) {
        this.ownerCode = ownerCode;
    }

    public EntryOrder operateTime(String operateTime) {
        this.operateTime = operateTime;
        return this;
    }

    /**
     * 操作时间(YYYY-MM-DD HH:MM:SS;当status&#x3D;FULFILLED;operateTime为入库时间)
     * @return operateTime
    **/

    public String getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(String operateTime) {
        this.operateTime = operateTime;
    }

    public EntryOrder entryOrderId(String entryOrderId) {
        this.entryOrderId = entryOrderId;
        return this;
    }

    /**
     * 仓储系统入库单ID
     * @return entryOrderId
    **/

    public String getEntryOrderId() {
        return entryOrderId;
    }

    public void setEntryOrderId(String entryOrderId) {
        this.entryOrderId = entryOrderId;
    }

    public EntryOrder warehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
        return this;
    }

    /**
     * 仓库编码(统仓统配等无需ERP指定仓储编码的情况填OTHER)
     * @return warehouseCode
    **/

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public EntryOrder status(String status) {
        this.status = status;
        return this;
    }

    /**
     * 入库单状态(NEW-未开始处理;ACCEPT-仓库接单;PARTFULFILLED-部分收货完成;FULFILLED-收货完成;EXCEPTION-异 常;CANCELED-取消;CLOSED-关闭;REJECT-拒单;CANCELEDFAIL-取消失败;只传英文编码)
     * @return status
    **/

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        EntryOrder entryOrder = (EntryOrder) o;
        return Objects.equals(this.entryOrderType, entryOrder.entryOrderType) &&
        Objects.equals(this.entryOrderCode, entryOrder.entryOrderCode) &&
        Objects.equals(this.ownerCode, entryOrder.ownerCode) &&
        Objects.equals(this.operateTime, entryOrder.operateTime) &&
        Objects.equals(this.entryOrderId, entryOrder.entryOrderId) &&
        Objects.equals(this.warehouseCode, entryOrder.warehouseCode) &&
        Objects.equals(this.status, entryOrder.status);
    }

    @Override
    public int hashCode() {
        return Objects.hash(entryOrderType, entryOrderCode, ownerCode, operateTime, entryOrderId, warehouseCode, status);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class EntryOrder {\n");
        
        sb.append("    entryOrderType: ").append(toIndentedString(entryOrderType)).append("\n");
        sb.append("    entryOrderCode: ").append(toIndentedString(entryOrderCode)).append("\n");
        sb.append("    ownerCode: ").append(toIndentedString(ownerCode)).append("\n");
        sb.append("    operateTime: ").append(toIndentedString(operateTime)).append("\n");
        sb.append("    entryOrderId: ").append(toIndentedString(entryOrderId)).append("\n");
        sb.append("    warehouseCode: ").append(toIndentedString(warehouseCode)).append("\n");
        sb.append("    status: ").append(toIndentedString(status)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

