/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufuinventoryquery;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import net.jdcloud.HufuStorageV2.model.jingdonghufuinventoryquery.CriteriaList;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * InventoryQueryRequest
 */
@XmlRootElement(name = "InventoryQueryRequest")
@XmlAccessorType(XmlAccessType.FIELD)

public class InventoryQueryRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "inner")
    @SerializedName("extendProps")
    private Map<String, String> extendProps = null;

    @XmlElement(name = "remark")
    @SerializedName("remark")
    private String remark = null;

    @XmlElementWrapper(name = "criteriaList")
    @XmlElement(name = "criteriaList")
    @SerializedName("criteriaList")
    private List<CriteriaList> criteriaList = null;

    public InventoryQueryRequest extendProps(Map<String, String> extendProps) {
        this.extendProps = extendProps;
        return this;
    }

    public InventoryQueryRequest putExtendPropsItem(String key, String extendPropsItem) {
        if (this.extendProps == null) {
            this.extendProps = new HashMap<String, String>();
        }
        this.extendProps.put(key, extendPropsItem);
        return this;
    }

    /**
     * 扩展属性(map类型)
     * @return extendProps
    **/

    public Map<String, String> getExtendProps() {
        return extendProps;
    }

    public void setExtendProps(Map<String, String> extendProps) {
        this.extendProps = extendProps;
    }

    public InventoryQueryRequest remark(String remark) {
        this.remark = remark;
        return this;
    }

    /**
     * 备注
     * @return remark
    **/

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public InventoryQueryRequest criteriaList(List<CriteriaList> criteriaList) {
        this.criteriaList = criteriaList;
        return this;
    }

    public InventoryQueryRequest addCriteriaListItem(CriteriaList criteriaListItem) {
        if (this.criteriaList == null) {
            this.criteriaList = new ArrayList<CriteriaList>();
        }
        this.criteriaList.add(criteriaListItem);
        return this;
    }

    /**
     * 查询准则
     * @return criteriaList
    **/

    public List<CriteriaList> getCriteriaList() {
        return criteriaList;
    }

    public void setCriteriaList(List<CriteriaList> criteriaList) {
        this.criteriaList = criteriaList;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        InventoryQueryRequest inventoryQueryRequest = (InventoryQueryRequest) o;
        return Objects.equals(this.extendProps, inventoryQueryRequest.extendProps) &&
        Objects.equals(this.remark, inventoryQueryRequest.remark) &&
        Objects.equals(this.criteriaList, inventoryQueryRequest.criteriaList);
    }

    @Override
    public int hashCode() {
        return Objects.hash(extendProps, remark, criteriaList);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class InventoryQueryRequest {\n");
        
        sb.append("    extendProps: ").append(toIndentedString(extendProps)).append("\n");
        sb.append("    remark: ").append(toIndentedString(remark)).append("\n");
        sb.append("    criteriaList: ").append(toIndentedString(criteriaList)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

