/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufuinventoryreport;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * 
 */
@XmlRootElement(name = "inventoryItems")
@XmlAccessorType(XmlAccessType.FIELD)

public class InventoryItems implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "itemId")
    @SerializedName("itemId")
    private String itemId = null;

    @XmlElement(name = "produceCode")
    @SerializedName("produceCode")
    private String produceCode = null;

    @XmlElement(name = "inventoryType")
    @SerializedName("inventoryType")
    private String inventoryType = null;

    @XmlElement(name = "quantity")
    @SerializedName("quantity")
    private Integer quantity = null;

    @XmlElement(name = "snCode")
    @SerializedName("snCode")
    private String snCode = null;

    @XmlElement(name = "totalQty")
    @SerializedName("totalQty")
    private Integer totalQty = null;

    @XmlElement(name = "itemCode")
    @SerializedName("itemCode")
    private String itemCode = null;

    @XmlElement(name = "batchCode")
    @SerializedName("batchCode")
    private String batchCode = null;

    @XmlElement(name = "expireDate")
    @SerializedName("expireDate")
    private String expireDate = null;

    @XmlElement(name = "remark")
    @SerializedName("remark")
    private String remark = null;

    @XmlElement(name = "productDate")
    @SerializedName("productDate")
    private String productDate = null;

    public InventoryItems itemId(String itemId) {
        this.itemId = itemId;
        return this;
    }

    /**
     * 仓储系统商品ID
     * @return itemId
    **/

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public InventoryItems produceCode(String produceCode) {
        this.produceCode = produceCode;
        return this;
    }

    /**
     * 生产批号
     * @return produceCode
    **/

    public String getProduceCode() {
        return produceCode;
    }

    public void setProduceCode(String produceCode) {
        this.produceCode = produceCode;
    }

    public InventoryItems inventoryType(String inventoryType) {
        this.inventoryType = inventoryType;
        return this;
    }

    /**
     * 库存类型(ZP&#x3D;正品;CC&#x3D;残次;JS&#x3D;机损;XS&#x3D; 箱损;ZT&#x3D;在途库存;默认为ZP)
     * @return inventoryType
    **/

    public String getInventoryType() {
        return inventoryType;
    }

    public void setInventoryType(String inventoryType) {
        this.inventoryType = inventoryType;
    }

    public InventoryItems quantity(Integer quantity) {
        this.quantity = quantity;
        return this;
    }

    /**
     * 盘盈盘亏商品变化量(盘盈为正数;盘亏为负数)
     * @return quantity
    **/

    public Integer getQuantity() {
        return quantity;
    }

    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    public InventoryItems snCode(String snCode) {
        this.snCode = snCode;
        return this;
    }

    /**
     * 商品序列号
     * @return snCode
    **/

    public String getSnCode() {
        return snCode;
    }

    public void setSnCode(String snCode) {
        this.snCode = snCode;
    }

    public InventoryItems totalQty(Integer totalQty) {
        this.totalQty = totalQty;
        return this;
    }

    /**
     * 库存商品总量
     * @return totalQty
    **/

    public Integer getTotalQty() {
        return totalQty;
    }

    public void setTotalQty(Integer totalQty) {
        this.totalQty = totalQty;
    }

    public InventoryItems itemCode(String itemCode) {
        this.itemCode = itemCode;
        return this;
    }

    /**
     * 商品编码
     * @return itemCode
    **/

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public InventoryItems batchCode(String batchCode) {
        this.batchCode = batchCode;
        return this;
    }

    /**
     * 批次编码
     * @return batchCode
    **/

    public String getBatchCode() {
        return batchCode;
    }

    public void setBatchCode(String batchCode) {
        this.batchCode = batchCode;
    }

    public InventoryItems expireDate(String expireDate) {
        this.expireDate = expireDate;
        return this;
    }

    /**
     * 商品过期日期(YYYY-MM-DD)
     * @return expireDate
    **/

    public String getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(String expireDate) {
        this.expireDate = expireDate;
    }

    public InventoryItems remark(String remark) {
        this.remark = remark;
        return this;
    }

    /**
     * 备注
     * @return remark
    **/

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public InventoryItems productDate(String productDate) {
        this.productDate = productDate;
        return this;
    }

    /**
     * 商品生产日期(YYYY-MM-DD)
     * @return productDate
    **/

    public String getProductDate() {
        return productDate;
    }

    public void setProductDate(String productDate) {
        this.productDate = productDate;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        InventoryItems inventoryItems = (InventoryItems) o;
        return Objects.equals(this.itemId, inventoryItems.itemId) &&
        Objects.equals(this.produceCode, inventoryItems.produceCode) &&
        Objects.equals(this.inventoryType, inventoryItems.inventoryType) &&
        Objects.equals(this.quantity, inventoryItems.quantity) &&
        Objects.equals(this.snCode, inventoryItems.snCode) &&
        Objects.equals(this.totalQty, inventoryItems.totalQty) &&
        Objects.equals(this.itemCode, inventoryItems.itemCode) &&
        Objects.equals(this.batchCode, inventoryItems.batchCode) &&
        Objects.equals(this.expireDate, inventoryItems.expireDate) &&
        Objects.equals(this.remark, inventoryItems.remark) &&
        Objects.equals(this.productDate, inventoryItems.productDate);
    }

    @Override
    public int hashCode() {
        return Objects.hash(itemId, produceCode, inventoryType, quantity, snCode, totalQty, itemCode, batchCode, expireDate, remark, productDate);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class InventoryItems {\n");
        
        sb.append("    itemId: ").append(toIndentedString(itemId)).append("\n");
        sb.append("    produceCode: ").append(toIndentedString(produceCode)).append("\n");
        sb.append("    inventoryType: ").append(toIndentedString(inventoryType)).append("\n");
        sb.append("    quantity: ").append(toIndentedString(quantity)).append("\n");
        sb.append("    snCode: ").append(toIndentedString(snCode)).append("\n");
        sb.append("    totalQty: ").append(toIndentedString(totalQty)).append("\n");
        sb.append("    itemCode: ").append(toIndentedString(itemCode)).append("\n");
        sb.append("    batchCode: ").append(toIndentedString(batchCode)).append("\n");
        sb.append("    expireDate: ").append(toIndentedString(expireDate)).append("\n");
        sb.append("    remark: ").append(toIndentedString(remark)).append("\n");
        sb.append("    productDate: ").append(toIndentedString(productDate)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

