/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufuorderpending;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * OrderPendingRequest
 */
@XmlRootElement(name = "OrderPendingRequest")
@XmlAccessorType(XmlAccessType.FIELD)

public class OrderPendingRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "actionType")
    @SerializedName("actionType")
    @Required
    private String actionType = null;

    @XmlElement(name = "orderType")
    @SerializedName("orderType")
    private String orderType = null;

    @XmlElement(name = "reason")
    @SerializedName("reason")
    private String reason = null;

    @XmlElement(name = "ownerCode")
    @SerializedName("ownerCode")
    private String ownerCode = null;

    @XmlElement(name = "orderId")
    @SerializedName("orderId")
    private String orderId = null;

    @XmlElement(name = "inner")
    @SerializedName("extendProps")
    private Map<String, String> extendProps = null;

    @XmlElement(name = "orderCode")
    @SerializedName("orderCode")
    @Required
    private String orderCode = null;

    @XmlElement(name = "warehouseCode")
    @SerializedName("warehouseCode")
    @Required
    private String warehouseCode = null;

    public OrderPendingRequest actionType(String actionType) {
        this.actionType = actionType;
        return this;
    }

    /**
     * 操作类型(pending&#x3D;挂起;restore&#x3D;恢复)
     * @return actionType
    **/

    public String getActionType() {
        return actionType;
    }

    public void setActionType(String actionType) {
        this.actionType = actionType;
    }

    public OrderPendingRequest orderType(String orderType) {
        this.orderType = orderType;
        return this;
    }

    /**
     * 单据类型(JYCK&#x3D;一般交易出库单;HHCK&#x3D;换货出库;BFCK&#x3D;补发出库;PTCK&#x3D;普通出库单;DBCK&#x3D;调拨出库;QTCK&#x3D;其他出库;B2BRK&#x3D;B2B入库;B2BCK&#x3D;B2B出库;CGRK&#x3D;采购入库;DBRK&#x3D;调拨入库;QTRK&#x3D;其他入库;XTRK&#x3D;销退入库;HHRK&#x3D;换货入库;CNJG&#x3D;仓内加工单)
     * @return orderType
    **/

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public OrderPendingRequest reason(String reason) {
        this.reason = reason;
        return this;
    }

    /**
     * 挂起/恢复原因
     * @return reason
    **/

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public OrderPendingRequest ownerCode(String ownerCode) {
        this.ownerCode = ownerCode;
        return this;
    }

    /**
     * 货主编码
     * @return ownerCode
    **/

    public String getOwnerCode() {
        return ownerCode;
    }

    public void setOwnerCode(String ownerCode) {
        this.ownerCode = ownerCode;
    }

    public OrderPendingRequest orderId(String orderId) {
        this.orderId = orderId;
        return this;
    }

    /**
     * 仓储系统单据编码
     * @return orderId
    **/

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public OrderPendingRequest extendProps(Map<String, String> extendProps) {
        this.extendProps = extendProps;
        return this;
    }

    public OrderPendingRequest putExtendPropsItem(String key, String extendPropsItem) {
        if (this.extendProps == null) {
            this.extendProps = new HashMap<String, String>();
        }
        this.extendProps.put(key, extendPropsItem);
        return this;
    }

    /**
     * 扩展属性(map类型)
     * @return extendProps
    **/

    public Map<String, String> getExtendProps() {
        return extendProps;
    }

    public void setExtendProps(Map<String, String> extendProps) {
        this.extendProps = extendProps;
    }

    public OrderPendingRequest orderCode(String orderCode) {
        this.orderCode = orderCode;
        return this;
    }

    /**
     * 单据编码
     * @return orderCode
    **/

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public OrderPendingRequest warehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
        return this;
    }

    /**
     * 仓库编码(统仓统配等无需ERP指定仓储编码的情况填OTHER)
     * @return warehouseCode
    **/

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        OrderPendingRequest orderPendingRequest = (OrderPendingRequest) o;
        return Objects.equals(this.actionType, orderPendingRequest.actionType) &&
        Objects.equals(this.orderType, orderPendingRequest.orderType) &&
        Objects.equals(this.reason, orderPendingRequest.reason) &&
        Objects.equals(this.ownerCode, orderPendingRequest.ownerCode) &&
        Objects.equals(this.orderId, orderPendingRequest.orderId) &&
        Objects.equals(this.extendProps, orderPendingRequest.extendProps) &&
        Objects.equals(this.orderCode, orderPendingRequest.orderCode) &&
        Objects.equals(this.warehouseCode, orderPendingRequest.warehouseCode);
    }

    @Override
    public int hashCode() {
        return Objects.hash(actionType, orderType, reason, ownerCode, orderId, extendProps, orderCode, warehouseCode);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class OrderPendingRequest {\n");
        
        sb.append("    actionType: ").append(toIndentedString(actionType)).append("\n");
        sb.append("    orderType: ").append(toIndentedString(orderType)).append("\n");
        sb.append("    reason: ").append(toIndentedString(reason)).append("\n");
        sb.append("    ownerCode: ").append(toIndentedString(ownerCode)).append("\n");
        sb.append("    orderId: ").append(toIndentedString(orderId)).append("\n");
        sb.append("    extendProps: ").append(toIndentedString(extendProps)).append("\n");
        sb.append("    orderCode: ").append(toIndentedString(orderCode)).append("\n");
        sb.append("    warehouseCode: ").append(toIndentedString(warehouseCode)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

