/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufuorderprocessreport;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * 订单信息
 */
@XmlRootElement(name = "order")
@XmlAccessorType(XmlAccessType.FIELD)

public class Order implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "orderType")
    @SerializedName("orderType")
    private String orderType = null;

    @XmlElement(name = "orderId")
    @SerializedName("orderId")
    private String orderId = null;

    @XmlElement(name = "orderCode")
    @SerializedName("orderCode")
    @Required
    private String orderCode = null;

    @XmlElement(name = "remark")
    @SerializedName("remark")
    private String remark = null;

    @XmlElement(name = "warehouseCode")
    @SerializedName("warehouseCode")
    private String warehouseCode = null;

    public Order orderType(String orderType) {
        this.orderType = orderType;
        return this;
    }

    /**
     * 单据类型(JYCK&#x3D;一般交易出库单;HHCK&#x3D;换货出库;BFCK&#x3D;补发出库;PTCK&#x3D;普通出库单;DBCK&#x3D;调拨出库;B2BRK&#x3D;B2B入 库;B2BCK&#x3D;B2B出库;QTCK&#x3D;其他出库;SCRK&#x3D;生产入库;LYRK&#x3D;领用入库;CCRK&#x3D;残次品入库;CGRK&#x3D;采购入库;DBRK&#x3D; 调拨入库;QTRK&#x3D; 其他入 库;XTRK&#x3D; 销退入库;HHRK&#x3D; 换货入库;CNJG&#x3D; 仓内加工单)
     * @return orderType
    **/

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public Order orderId(String orderId) {
        this.orderId = orderId;
        return this;
    }

    /**
     * 仓储系统单据号
     * @return orderId
    **/

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public Order orderCode(String orderCode) {
        this.orderCode = orderCode;
        return this;
    }

    /**
     * 单据号
     * @return orderCode
    **/

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public Order remark(String remark) {
        this.remark = remark;
        return this;
    }

    /**
     * 备注
     * @return remark
    **/

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Order warehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
        return this;
    }

    /**
     * 仓库编码
     * @return warehouseCode
    **/

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        Order order = (Order) o;
        return Objects.equals(this.orderType, order.orderType) &&
        Objects.equals(this.orderId, order.orderId) &&
        Objects.equals(this.orderCode, order.orderCode) &&
        Objects.equals(this.remark, order.remark) &&
        Objects.equals(this.warehouseCode, order.warehouseCode);
    }

    @Override
    public int hashCode() {
        return Objects.hash(orderType, orderId, orderCode, remark, warehouseCode);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class Order {\n");
        
        sb.append("    orderType: ").append(toIndentedString(orderType)).append("\n");
        sb.append("    orderId: ").append(toIndentedString(orderId)).append("\n");
        sb.append("    orderCode: ").append(toIndentedString(orderCode)).append("\n");
        sb.append("    remark: ").append(toIndentedString(remark)).append("\n");
        sb.append("    warehouseCode: ").append(toIndentedString(warehouseCode)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

