/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufureturnorderconfirm;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import net.jdcloud.HufuStorageV2.model.jingdonghufureturnorderconfirm.SenderInfo;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * 退货单信息
 */
@XmlRootElement(name = "returnOrder")
@XmlAccessorType(XmlAccessType.FIELD)

public class ReturnOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "logisticsName")
    @SerializedName("logisticsName")
    private String logisticsName = null;

    @XmlElement(name = "orderType")
    @SerializedName("orderType")
    private String orderType = null;

    @XmlElement(name = "senderInfo")
    @SerializedName("senderInfo")
    private SenderInfo senderInfo = null;

    @XmlElement(name = "returnOrderCode")
    @SerializedName("returnOrderCode")
    @Required
    private String returnOrderCode = null;

    @XmlElement(name = "outBizCode")
    @SerializedName("outBizCode")
    private String outBizCode = null;

    @XmlElement(name = "returnReason")
    @SerializedName("returnReason")
    private String returnReason = null;

    @XmlElement(name = "returnOrderId")
    @SerializedName("returnOrderId")
    private String returnOrderId = null;

    @XmlElement(name = "expressCode")
    @SerializedName("expressCode")
    private String expressCode = null;

    @XmlElement(name = "logisticsCode")
    @SerializedName("logisticsCode")
    @Required
    private String logisticsCode = null;

    @XmlElement(name = "orderConfirmTime")
    @SerializedName("orderConfirmTime")
    private String orderConfirmTime = null;

    @XmlElement(name = "remark")
    @SerializedName("remark")
    private String remark = null;

    @XmlElement(name = "warehouseCode")
    @SerializedName("warehouseCode")
    @Required
    private String warehouseCode = null;

    public ReturnOrder logisticsName(String logisticsName) {
        this.logisticsName = logisticsName;
        return this;
    }

    /**
     * 物流公司名称
     * @return logisticsName
    **/

    public String getLogisticsName() {
        return logisticsName;
    }

    public void setLogisticsName(String logisticsName) {
        this.logisticsName = logisticsName;
    }

    public ReturnOrder orderType(String orderType) {
        this.orderType = orderType;
        return this;
    }

    /**
     * 单据类型(THRK&#x3D;退货入库;HHRK&#x3D;换货入库;只传英文编码)
     * @return orderType
    **/

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public ReturnOrder senderInfo(SenderInfo senderInfo) {
        this.senderInfo = senderInfo;
        return this;
    }

    /**
     * Get senderInfo
     * @return senderInfo
    **/

    public SenderInfo getSenderInfo() {
        return senderInfo;
    }

    public void setSenderInfo(SenderInfo senderInfo) {
        this.senderInfo = senderInfo;
    }

    public ReturnOrder returnOrderCode(String returnOrderCode) {
        this.returnOrderCode = returnOrderCode;
        return this;
    }

    /**
     * ERP的退货入库单编码
     * @return returnOrderCode
    **/

    public String getReturnOrderCode() {
        return returnOrderCode;
    }

    public void setReturnOrderCode(String returnOrderCode) {
        this.returnOrderCode = returnOrderCode;
    }

    public ReturnOrder outBizCode(String outBizCode) {
        this.outBizCode = outBizCode;
        return this;
    }

    /**
     * 外部业务编码(消息ID;用于去重;ISV对于同一请求;分配一个唯一性的编码。用来保证因为网络等原因导致重复传输;请求不会 被重复处理)
     * @return outBizCode
    **/

    public String getOutBizCode() {
        return outBizCode;
    }

    public void setOutBizCode(String outBizCode) {
        this.outBizCode = outBizCode;
    }

    public ReturnOrder returnReason(String returnReason) {
        this.returnReason = returnReason;
        return this;
    }

    /**
     * 退货原因
     * @return returnReason
    **/

    public String getReturnReason() {
        return returnReason;
    }

    public void setReturnReason(String returnReason) {
        this.returnReason = returnReason;
    }

    public ReturnOrder returnOrderId(String returnOrderId) {
        this.returnOrderId = returnOrderId;
        return this;
    }

    /**
     * 仓库系统订单编码
     * @return returnOrderId
    **/

    public String getReturnOrderId() {
        return returnOrderId;
    }

    public void setReturnOrderId(String returnOrderId) {
        this.returnOrderId = returnOrderId;
    }

    public ReturnOrder expressCode(String expressCode) {
        this.expressCode = expressCode;
        return this;
    }

    /**
     * 运单号
     * @return expressCode
    **/

    public String getExpressCode() {
        return expressCode;
    }

    public void setExpressCode(String expressCode) {
        this.expressCode = expressCode;
    }

    public ReturnOrder logisticsCode(String logisticsCode) {
        this.logisticsCode = logisticsCode;
        return this;
    }

    /**
     * 物流公司编码(SF&#x3D;顺丰、EMS&#x3D;标准快递、EYB&#x3D;经济快件、ZJS&#x3D;宅急送、YTO&#x3D;圆通、ZTO&#x3D;中通(ZTO)、HTKY&#x3D;百世汇通、 UC&#x3D;优速、STO&#x3D;申通、TTKDEX&#x3D;天天快递、QFKD&#x3D;全峰、FAST&#x3D;快捷、POSTB&#x3D;邮政小包、GTO&#x3D;国通、YUNDA&#x3D;韵达、JD&#x3D;京东配送、DD&#x3D;当当宅配、 AMAZON&#x3D;亚马逊物流、OTHER&#x3D;其他;只传英文编码)
     * @return logisticsCode
    **/

    public String getLogisticsCode() {
        return logisticsCode;
    }

    public void setLogisticsCode(String logisticsCode) {
        this.logisticsCode = logisticsCode;
    }

    public ReturnOrder orderConfirmTime(String orderConfirmTime) {
        this.orderConfirmTime = orderConfirmTime;
        return this;
    }

    /**
     * 确认入库时间(YYYY-MM-DD HH:MM:SS)
     * @return orderConfirmTime
    **/

    public String getOrderConfirmTime() {
        return orderConfirmTime;
    }

    public void setOrderConfirmTime(String orderConfirmTime) {
        this.orderConfirmTime = orderConfirmTime;
    }

    public ReturnOrder remark(String remark) {
        this.remark = remark;
        return this;
    }

    /**
     * 备注
     * @return remark
    **/

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public ReturnOrder warehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
        return this;
    }

    /**
     * 仓库编码(统仓统配等无需ERP指定仓储编码的情况填OTHER)
     * @return warehouseCode
    **/

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        ReturnOrder returnOrder = (ReturnOrder) o;
        return Objects.equals(this.logisticsName, returnOrder.logisticsName) &&
        Objects.equals(this.orderType, returnOrder.orderType) &&
        Objects.equals(this.senderInfo, returnOrder.senderInfo) &&
        Objects.equals(this.returnOrderCode, returnOrder.returnOrderCode) &&
        Objects.equals(this.outBizCode, returnOrder.outBizCode) &&
        Objects.equals(this.returnReason, returnOrder.returnReason) &&
        Objects.equals(this.returnOrderId, returnOrder.returnOrderId) &&
        Objects.equals(this.expressCode, returnOrder.expressCode) &&
        Objects.equals(this.logisticsCode, returnOrder.logisticsCode) &&
        Objects.equals(this.orderConfirmTime, returnOrder.orderConfirmTime) &&
        Objects.equals(this.remark, returnOrder.remark) &&
        Objects.equals(this.warehouseCode, returnOrder.warehouseCode);
    }

    @Override
    public int hashCode() {
        return Objects.hash(logisticsName, orderType, senderInfo, returnOrderCode, outBizCode, returnReason, returnOrderId, expressCode, logisticsCode, orderConfirmTime, remark, warehouseCode);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class ReturnOrder {\n");
        
        sb.append("    logisticsName: ").append(toIndentedString(logisticsName)).append("\n");
        sb.append("    orderType: ").append(toIndentedString(orderType)).append("\n");
        sb.append("    senderInfo: ").append(toIndentedString(senderInfo)).append("\n");
        sb.append("    returnOrderCode: ").append(toIndentedString(returnOrderCode)).append("\n");
        sb.append("    outBizCode: ").append(toIndentedString(outBizCode)).append("\n");
        sb.append("    returnReason: ").append(toIndentedString(returnReason)).append("\n");
        sb.append("    returnOrderId: ").append(toIndentedString(returnOrderId)).append("\n");
        sb.append("    expressCode: ").append(toIndentedString(expressCode)).append("\n");
        sb.append("    logisticsCode: ").append(toIndentedString(logisticsCode)).append("\n");
        sb.append("    orderConfirmTime: ").append(toIndentedString(orderConfirmTime)).append("\n");
        sb.append("    remark: ").append(toIndentedString(remark)).append("\n");
        sb.append("    warehouseCode: ").append(toIndentedString(warehouseCode)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

