/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufureturnorderconfirm;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import net.jdcloud.HufuStorageV2.model.jingdonghufureturnorderconfirm.OrderLines;
import net.jdcloud.HufuStorageV2.model.jingdonghufureturnorderconfirm.ReturnOrder;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * ReturnOrderConfirmRequest
 */
@XmlRootElement(name = "ReturnOrderConfirmRequest")
@XmlAccessorType(XmlAccessType.FIELD)

public class ReturnOrderConfirmRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElementWrapper(name = "orderLines")
    @XmlElement(name = "orderLines")
    @SerializedName("orderLines")
    private List<OrderLines> orderLines = null;

    @XmlElement(name = "returnOrder")
    @SerializedName("returnOrder")
    private ReturnOrder returnOrder = null;

    @XmlElement(name = "inner")
    @SerializedName("extendProps")
    private Map<String, String> extendProps = null;

    public ReturnOrderConfirmRequest orderLines(List<OrderLines> orderLines) {
        this.orderLines = orderLines;
        return this;
    }

    public ReturnOrderConfirmRequest addOrderLinesItem(OrderLines orderLinesItem) {
        if (this.orderLines == null) {
            this.orderLines = new ArrayList<OrderLines>();
        }
        this.orderLines.add(orderLinesItem);
        return this;
    }

    /**
     * 订单信息
     * @return orderLines
    **/

    public List<OrderLines> getOrderLines() {
        return orderLines;
    }

    public void setOrderLines(List<OrderLines> orderLines) {
        this.orderLines = orderLines;
    }

    public ReturnOrderConfirmRequest returnOrder(ReturnOrder returnOrder) {
        this.returnOrder = returnOrder;
        return this;
    }

    /**
     * Get returnOrder
     * @return returnOrder
    **/

    public ReturnOrder getReturnOrder() {
        return returnOrder;
    }

    public void setReturnOrder(ReturnOrder returnOrder) {
        this.returnOrder = returnOrder;
    }

    public ReturnOrderConfirmRequest extendProps(Map<String, String> extendProps) {
        this.extendProps = extendProps;
        return this;
    }

    public ReturnOrderConfirmRequest putExtendPropsItem(String key, String extendPropsItem) {
        if (this.extendProps == null) {
            this.extendProps = new HashMap<String, String>();
        }
        this.extendProps.put(key, extendPropsItem);
        return this;
    }

    /**
     * 扩展属性(map类型)
     * @return extendProps
    **/

    public Map<String, String> getExtendProps() {
        return extendProps;
    }

    public void setExtendProps(Map<String, String> extendProps) {
        this.extendProps = extendProps;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        ReturnOrderConfirmRequest returnOrderConfirmRequest = (ReturnOrderConfirmRequest) o;
        return Objects.equals(this.orderLines, returnOrderConfirmRequest.orderLines) &&
        Objects.equals(this.returnOrder, returnOrderConfirmRequest.returnOrder) &&
        Objects.equals(this.extendProps, returnOrderConfirmRequest.extendProps);
    }

    @Override
    public int hashCode() {
        return Objects.hash(orderLines, returnOrder, extendProps);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class ReturnOrderConfirmRequest {\n");
        
        sb.append("    orderLines: ").append(toIndentedString(orderLines)).append("\n");
        sb.append("    returnOrder: ").append(toIndentedString(returnOrder)).append("\n");
        sb.append("    extendProps: ").append(toIndentedString(extendProps)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

