/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufusingleitemsynchronize;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import net.jdcloud.HufuStorageV2.model.jingdonghufusingleitemsynchronize.Item;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * ItemSynRequest
 */
@XmlRootElement(name = "ItemSynRequest")
@XmlAccessorType(XmlAccessType.FIELD)

public class ItemSynRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "supplierName")
    @SerializedName("supplierName")
    private String supplierName = null;

    @XmlElement(name = "actionType")
    @SerializedName("actionType")
    @Required
    private String actionType = null;

    @XmlElement(name = "item")
    @SerializedName("item")
    private Item item = null;

    @XmlElement(name = "ownerCode")
    @SerializedName("ownerCode")
    @Required
    private String ownerCode = null;

    @XmlElement(name = "inner")
    @SerializedName("extendProps")
    private Map<String, String> extendProps = null;

    @XmlElement(name = "supplierCode")
    @SerializedName("supplierCode")
    private String supplierCode = null;

    @XmlElement(name = "warehouseCode")
    @SerializedName("warehouseCode")
    @Required
    private String warehouseCode = null;

    public ItemSynRequest supplierName(String supplierName) {
        this.supplierName = supplierName;
        return this;
    }

    /**
     * 供应商名称
     * @return supplierName
    **/

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public ItemSynRequest actionType(String actionType) {
        this.actionType = actionType;
        return this;
    }

    /**
     * 操作类型(两种类型：add|update)
     * @return actionType
    **/

    public String getActionType() {
        return actionType;
    }

    public void setActionType(String actionType) {
        this.actionType = actionType;
    }

    public ItemSynRequest item(Item item) {
        this.item = item;
        return this;
    }

    /**
     * Get item
     * @return item
    **/

    public Item getItem() {
        return item;
    }

    public void setItem(Item item) {
        this.item = item;
    }

    public ItemSynRequest ownerCode(String ownerCode) {
        this.ownerCode = ownerCode;
        return this;
    }

    /**
     * 货主编码
     * @return ownerCode
    **/

    public String getOwnerCode() {
        return ownerCode;
    }

    public void setOwnerCode(String ownerCode) {
        this.ownerCode = ownerCode;
    }

    public ItemSynRequest extendProps(Map<String, String> extendProps) {
        this.extendProps = extendProps;
        return this;
    }

    public ItemSynRequest putExtendPropsItem(String key, String extendPropsItem) {
        if (this.extendProps == null) {
            this.extendProps = new HashMap<String, String>();
        }
        this.extendProps.put(key, extendPropsItem);
        return this;
    }

    /**
     * 扩展属性(map类型)
     * @return extendProps
    **/

    public Map<String, String> getExtendProps() {
        return extendProps;
    }

    public void setExtendProps(Map<String, String> extendProps) {
        this.extendProps = extendProps;
    }

    public ItemSynRequest supplierCode(String supplierCode) {
        this.supplierCode = supplierCode;
        return this;
    }

    /**
     * 供应商编码
     * @return supplierCode
    **/

    public String getSupplierCode() {
        return supplierCode;
    }

    public void setSupplierCode(String supplierCode) {
        this.supplierCode = supplierCode;
    }

    public ItemSynRequest warehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
        return this;
    }

    /**
     * 仓库编码(统仓统配等无需ERP指定仓储编码的情况填OTHER)
     * @return warehouseCode
    **/

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        ItemSynRequest itemSynRequest = (ItemSynRequest) o;
        return Objects.equals(this.supplierName, itemSynRequest.supplierName) &&
        Objects.equals(this.actionType, itemSynRequest.actionType) &&
        Objects.equals(this.item, itemSynRequest.item) &&
        Objects.equals(this.ownerCode, itemSynRequest.ownerCode) &&
        Objects.equals(this.extendProps, itemSynRequest.extendProps) &&
        Objects.equals(this.supplierCode, itemSynRequest.supplierCode) &&
        Objects.equals(this.warehouseCode, itemSynRequest.warehouseCode);
    }

    @Override
    public int hashCode() {
        return Objects.hash(supplierName, actionType, item, ownerCode, extendProps, supplierCode, warehouseCode);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class ItemSynRequest {\n");
        
        sb.append("    supplierName: ").append(toIndentedString(supplierName)).append("\n");
        sb.append("    actionType: ").append(toIndentedString(actionType)).append("\n");
        sb.append("    item: ").append(toIndentedString(item)).append("\n");
        sb.append("    ownerCode: ").append(toIndentedString(ownerCode)).append("\n");
        sb.append("    extendProps: ").append(toIndentedString(extendProps)).append("\n");
        sb.append("    supplierCode: ").append(toIndentedString(supplierCode)).append("\n");
        sb.append("    warehouseCode: ").append(toIndentedString(warehouseCode)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

