/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufusnreport;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * 发货单信息
 */
@XmlRootElement(name = "deliveryOrder")
@XmlAccessorType(XmlAccessType.FIELD)

public class DeliveryOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "orderType")
    @SerializedName("orderType")
    @Required
    private String orderType = null;

    @XmlElement(name = "outBizCode")
    @SerializedName("outBizCode")
    private String outBizCode = null;

    @XmlElement(name = "ownerCode")
    @SerializedName("ownerCode")
    private String ownerCode = null;

    @XmlElement(name = "deliveryOrderCode")
    @SerializedName("deliveryOrderCode")
    @Required
    private String deliveryOrderCode = null;

    @XmlElement(name = "warehouseCode")
    @SerializedName("warehouseCode")
    @Required
    private String warehouseCode = null;

    @XmlElement(name = "deliveryOrderId")
    @SerializedName("deliveryOrderId")
    private String deliveryOrderId = null;

    public DeliveryOrder orderType(String orderType) {
        this.orderType = orderType;
        return this;
    }

    /**
     * 出库单类型(JYCK&#x3D;一般交易出库;HHCK&#x3D;换货出库;BFCK&#x3D;补发出库;PTCK&#x3D;普通出库单;DBCK&#x3D;调拨出库;QTCK&#x3D;其他出 库;B2BCK&#x3D;B2B出库)
     * @return orderType
    **/

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public DeliveryOrder outBizCode(String outBizCode) {
        this.outBizCode = outBizCode;
        return this;
    }

    /**
     * 外部业务编码(消息ID;用于去重;ISV对于同一请求;分配一个唯一性的编码。用来保证因为网络等原因导致重复传输;请求不会 被重复处理;条件必填;条件为一单需要多次确认时)
     * @return outBizCode
    **/

    public String getOutBizCode() {
        return outBizCode;
    }

    public void setOutBizCode(String outBizCode) {
        this.outBizCode = outBizCode;
    }

    public DeliveryOrder ownerCode(String ownerCode) {
        this.ownerCode = ownerCode;
        return this;
    }

    /**
     * 货主编码
     * @return ownerCode
    **/

    public String getOwnerCode() {
        return ownerCode;
    }

    public void setOwnerCode(String ownerCode) {
        this.ownerCode = ownerCode;
    }

    public DeliveryOrder deliveryOrderCode(String deliveryOrderCode) {
        this.deliveryOrderCode = deliveryOrderCode;
        return this;
    }

    /**
     * 出库单号
     * @return deliveryOrderCode
    **/

    public String getDeliveryOrderCode() {
        return deliveryOrderCode;
    }

    public void setDeliveryOrderCode(String deliveryOrderCode) {
        this.deliveryOrderCode = deliveryOrderCode;
    }

    public DeliveryOrder warehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
        return this;
    }

    /**
     * 仓库编码
     * @return warehouseCode
    **/

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public DeliveryOrder deliveryOrderId(String deliveryOrderId) {
        this.deliveryOrderId = deliveryOrderId;
        return this;
    }

    /**
     * 仓储系统出库单号
     * @return deliveryOrderId
    **/

    public String getDeliveryOrderId() {
        return deliveryOrderId;
    }

    public void setDeliveryOrderId(String deliveryOrderId) {
        this.deliveryOrderId = deliveryOrderId;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        DeliveryOrder deliveryOrder = (DeliveryOrder) o;
        return Objects.equals(this.orderType, deliveryOrder.orderType) &&
        Objects.equals(this.outBizCode, deliveryOrder.outBizCode) &&
        Objects.equals(this.ownerCode, deliveryOrder.ownerCode) &&
        Objects.equals(this.deliveryOrderCode, deliveryOrder.deliveryOrderCode) &&
        Objects.equals(this.warehouseCode, deliveryOrder.warehouseCode) &&
        Objects.equals(this.deliveryOrderId, deliveryOrder.deliveryOrderId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(orderType, outBizCode, ownerCode, deliveryOrderCode, warehouseCode, deliveryOrderId);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class DeliveryOrder {\n");
        
        sb.append("    orderType: ").append(toIndentedString(orderType)).append("\n");
        sb.append("    outBizCode: ").append(toIndentedString(outBizCode)).append("\n");
        sb.append("    ownerCode: ").append(toIndentedString(ownerCode)).append("\n");
        sb.append("    deliveryOrderCode: ").append(toIndentedString(deliveryOrderCode)).append("\n");
        sb.append("    warehouseCode: ").append(toIndentedString(warehouseCode)).append("\n");
        sb.append("    deliveryOrderId: ").append(toIndentedString(deliveryOrderId)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

