/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufustockchangereport;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.util.ArrayList;
import java.util.List;
import net.jdcloud.HufuStorageV2.model.jingdonghufustockchangereport.Batchs;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * 库存信息
 */
@XmlRootElement(name = "stockchangeItems")
@XmlAccessorType(XmlAccessType.FIELD)

public class StockchangeItems implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "orderType")
    @SerializedName("orderType")
    private String orderType = null;

    @XmlElement(name = "inventoryType")
    @SerializedName("inventoryType")
    private String inventoryType = null;

    @XmlElement(name = "quantity")
    @SerializedName("quantity")
    @Required
    private Integer quantity = null;

    @XmlElement(name = "ownerCode")
    @SerializedName("ownerCode")
    @Required
    private String ownerCode = null;

    @XmlElement(name = "itemCode")
    @SerializedName("itemCode")
    @Required
    private String itemCode = null;

    @XmlElement(name = "batchCode")
    @SerializedName("batchCode")
    private String batchCode = null;

    @XmlElement(name = "remark")
    @SerializedName("remark")
    private String remark = null;

    @XmlElement(name = "productDate")
    @SerializedName("productDate")
    private String productDate = null;

    @XmlElement(name = "warehouseCode")
    @SerializedName("warehouseCode")
    @Required
    private String warehouseCode = null;

    @XmlElement(name = "changeTime")
    @SerializedName("changeTime")
    private String changeTime = null;

    @XmlElement(name = "itemId")
    @SerializedName("itemId")
    private String itemId = null;

    @XmlElement(name = "produceCode")
    @SerializedName("produceCode")
    private String produceCode = null;

    @XmlElementWrapper(name = "batchs")
    @XmlElement(name = "batchs")
    @SerializedName("batchs")
    private List<Batchs> batchs = null;

    @XmlElement(name = "outBizCode")
    @SerializedName("outBizCode")
    @Required
    private String outBizCode = null;

    @XmlElement(name = "isLocked")
    @SerializedName("isLocked")
    private String isLocked = null;

    @XmlElement(name = "orderCode")
    @SerializedName("orderCode")
    private String orderCode = null;

    @XmlElement(name = "expireDate")
    @SerializedName("expireDate")
    private String expireDate = null;

    public StockchangeItems orderType(String orderType) {
        this.orderType = orderType;
        return this;
    }

    /**
     * 单据类型(JYCK&#x3D;一般交易出库单;HHCK&#x3D;换货出库;BFCK&#x3D;补发出库;PTCK&#x3D;普通出库单;DBCK&#x3D;调拨出库;B2BRK&#x3D;B2B入 库;B2BCK&#x3D;B2B出库;QTCK&#x3D;其他出库;SCRK&#x3D;生产入库;LYRK&#x3D;领用入库;CCRK&#x3D;残次品入库;CGRK&#x3D;采购入库;DBRK&#x3D; 调拨入库;QTRK&#x3D; 其他入 库;XTRK&#x3D; 销退入库;HHRK&#x3D; 换货入库;CNJG&#x3D; 仓内加工单)
     * @return orderType
    **/

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public StockchangeItems inventoryType(String inventoryType) {
        this.inventoryType = inventoryType;
        return this;
    }

    /**
     * 库存类型(ZP&#x3D;正品;CC&#x3D;残次;JS&#x3D;机损;XS&#x3D;箱损;ZT&#x3D;在途库存)
     * @return inventoryType
    **/

    public String getInventoryType() {
        return inventoryType;
    }

    public void setInventoryType(String inventoryType) {
        this.inventoryType = inventoryType;
    }

    public StockchangeItems quantity(Integer quantity) {
        this.quantity = quantity;
        return this;
    }

    /**
     * 商品变化量(可为正为负)
     * @return quantity
    **/

    public Integer getQuantity() {
        return quantity;
    }

    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    public StockchangeItems ownerCode(String ownerCode) {
        this.ownerCode = ownerCode;
        return this;
    }

    /**
     * 货主编码
     * @return ownerCode
    **/

    public String getOwnerCode() {
        return ownerCode;
    }

    public void setOwnerCode(String ownerCode) {
        this.ownerCode = ownerCode;
    }

    public StockchangeItems itemCode(String itemCode) {
        this.itemCode = itemCode;
        return this;
    }

    /**
     * 商品编码
     * @return itemCode
    **/

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public StockchangeItems batchCode(String batchCode) {
        this.batchCode = batchCode;
        return this;
    }

    /**
     * 批次编码
     * @return batchCode
    **/

    public String getBatchCode() {
        return batchCode;
    }

    public void setBatchCode(String batchCode) {
        this.batchCode = batchCode;
    }

    public StockchangeItems remark(String remark) {
        this.remark = remark;
        return this;
    }

    /**
     * 备注
     * @return remark
    **/

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public StockchangeItems productDate(String productDate) {
        this.productDate = productDate;
        return this;
    }

    /**
     * 商品生产日期(YYYY-MM-DD)
     * @return productDate
    **/

    public String getProductDate() {
        return productDate;
    }

    public void setProductDate(String productDate) {
        this.productDate = productDate;
    }

    public StockchangeItems warehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
        return this;
    }

    /**
     * 仓库编码
     * @return warehouseCode
    **/

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public StockchangeItems changeTime(String changeTime) {
        this.changeTime = changeTime;
        return this;
    }

    /**
     * 异动时间(YYYY-MM-DD HH:MM:SS)
     * @return changeTime
    **/

    public String getChangeTime() {
        return changeTime;
    }

    public void setChangeTime(String changeTime) {
        this.changeTime = changeTime;
    }

    public StockchangeItems itemId(String itemId) {
        this.itemId = itemId;
        return this;
    }

    /**
     * 仓储系统商品ID
     * @return itemId
    **/

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public StockchangeItems produceCode(String produceCode) {
        this.produceCode = produceCode;
        return this;
    }

    /**
     * 生产批号
     * @return produceCode
    **/

    public String getProduceCode() {
        return produceCode;
    }

    public void setProduceCode(String produceCode) {
        this.produceCode = produceCode;
    }

    public StockchangeItems batchs(List<Batchs> batchs) {
        this.batchs = batchs;
        return this;
    }

    public StockchangeItems addBatchsItem(Batchs batchsItem) {
        if (this.batchs == null) {
            this.batchs = new ArrayList<Batchs>();
        }
        this.batchs.add(batchsItem);
        return this;
    }

    /**
     * batchs
     * @return batchs
    **/

    public List<Batchs> getBatchs() {
        return batchs;
    }

    public void setBatchs(List<Batchs> batchs) {
        this.batchs = batchs;
    }

    public StockchangeItems outBizCode(String outBizCode) {
        this.outBizCode = outBizCode;
        return this;
    }

    /**
     * 外部业务编码(消息ID;用于去重;用来保证因为网络等原因导致重复传输;请求不会被重复处理)
     * @return outBizCode
    **/

    public String getOutBizCode() {
        return outBizCode;
    }

    public void setOutBizCode(String outBizCode) {
        this.outBizCode = outBizCode;
    }

    public StockchangeItems isLocked(String isLocked) {
        this.isLocked = isLocked;
        return this;
    }

    /**
     * isLocked
     * @return isLocked
    **/

    public String getIsLocked() {
        return isLocked;
    }

    public void setIsLocked(String isLocked) {
        this.isLocked = isLocked;
    }

    public StockchangeItems orderCode(String orderCode) {
        this.orderCode = orderCode;
        return this;
    }

    /**
     * 引起异动的单据编码
     * @return orderCode
    **/

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public StockchangeItems expireDate(String expireDate) {
        this.expireDate = expireDate;
        return this;
    }

    /**
     * 商品过期日期(YYYY-MM-DD)
     * @return expireDate
    **/

    public String getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(String expireDate) {
        this.expireDate = expireDate;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        StockchangeItems stockchangeItems = (StockchangeItems) o;
        return Objects.equals(this.orderType, stockchangeItems.orderType) &&
        Objects.equals(this.inventoryType, stockchangeItems.inventoryType) &&
        Objects.equals(this.quantity, stockchangeItems.quantity) &&
        Objects.equals(this.ownerCode, stockchangeItems.ownerCode) &&
        Objects.equals(this.itemCode, stockchangeItems.itemCode) &&
        Objects.equals(this.batchCode, stockchangeItems.batchCode) &&
        Objects.equals(this.remark, stockchangeItems.remark) &&
        Objects.equals(this.productDate, stockchangeItems.productDate) &&
        Objects.equals(this.warehouseCode, stockchangeItems.warehouseCode) &&
        Objects.equals(this.changeTime, stockchangeItems.changeTime) &&
        Objects.equals(this.itemId, stockchangeItems.itemId) &&
        Objects.equals(this.produceCode, stockchangeItems.produceCode) &&
        Objects.equals(this.batchs, stockchangeItems.batchs) &&
        Objects.equals(this.outBizCode, stockchangeItems.outBizCode) &&
        Objects.equals(this.isLocked, stockchangeItems.isLocked) &&
        Objects.equals(this.orderCode, stockchangeItems.orderCode) &&
        Objects.equals(this.expireDate, stockchangeItems.expireDate);
    }

    @Override
    public int hashCode() {
        return Objects.hash(orderType, inventoryType, quantity, ownerCode, itemCode, batchCode, remark, productDate, warehouseCode, changeTime, itemId, produceCode, batchs, outBizCode, isLocked, orderCode, expireDate);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class StockchangeItems {\n");
        
        sb.append("    orderType: ").append(toIndentedString(orderType)).append("\n");
        sb.append("    inventoryType: ").append(toIndentedString(inventoryType)).append("\n");
        sb.append("    quantity: ").append(toIndentedString(quantity)).append("\n");
        sb.append("    ownerCode: ").append(toIndentedString(ownerCode)).append("\n");
        sb.append("    itemCode: ").append(toIndentedString(itemCode)).append("\n");
        sb.append("    batchCode: ").append(toIndentedString(batchCode)).append("\n");
        sb.append("    remark: ").append(toIndentedString(remark)).append("\n");
        sb.append("    productDate: ").append(toIndentedString(productDate)).append("\n");
        sb.append("    warehouseCode: ").append(toIndentedString(warehouseCode)).append("\n");
        sb.append("    changeTime: ").append(toIndentedString(changeTime)).append("\n");
        sb.append("    itemId: ").append(toIndentedString(itemId)).append("\n");
        sb.append("    produceCode: ").append(toIndentedString(produceCode)).append("\n");
        sb.append("    batchs: ").append(toIndentedString(batchs)).append("\n");
        sb.append("    outBizCode: ").append(toIndentedString(outBizCode)).append("\n");
        sb.append("    isLocked: ").append(toIndentedString(isLocked)).append("\n");
        sb.append("    orderCode: ").append(toIndentedString(orderCode)).append("\n");
        sb.append("    expireDate: ").append(toIndentedString(expireDate)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

