/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufustockoutcreate;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.util.ArrayList;
import java.util.List;
import net.jdcloud.HufuStorageV2.model.jingdonghufustockoutcreate.PickerInfo;
import net.jdcloud.HufuStorageV2.model.jingdonghufustockoutcreate.ReceiverInfo;
import net.jdcloud.HufuStorageV2.model.jingdonghufustockoutcreate.RelatedOrders;
import net.jdcloud.HufuStorageV2.model.jingdonghufustockoutcreate.SenderInfo;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * 出库单信息
 */
@XmlRootElement(name = "deliveryOrder")
@XmlAccessorType(XmlAccessType.FIELD)

public class DeliveryOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "supplierName")
    @SerializedName("supplierName")
    private String supplierName = null;

    @XmlElement(name = "orderType")
    @SerializedName("orderType")
    @Required
    private String orderType = null;

    @XmlElement(name = "receivingTime")
    @SerializedName("receivingTime")
    private String receivingTime = null;

    @XmlElement(name = "totalOrderLines")
    @SerializedName("totalOrderLines")
    private Integer totalOrderLines = null;

    @XmlElement(name = "receiverInfo")
    @SerializedName("receiverInfo")
    private ReceiverInfo receiverInfo = null;

    @XmlElement(name = "logisticsCode")
    @SerializedName("logisticsCode")
    private String logisticsCode = null;

    @XmlElement(name = "remark")
    @SerializedName("remark")
    private String remark = null;

    @XmlElement(name = "deliveryOrderCode")
    @SerializedName("deliveryOrderCode")
    @Required
    private String deliveryOrderCode = null;

    @XmlElement(name = "supplierCode")
    @SerializedName("supplierCode")
    private String supplierCode = null;

    @XmlElement(name = "warehouseCode")
    @SerializedName("warehouseCode")
    @Required
    private String warehouseCode = null;

    @XmlElement(name = "logisticsName")
    @SerializedName("logisticsName")
    private String logisticsName = null;

    @XmlElement(name = "senderInfo")
    @SerializedName("senderInfo")
    private SenderInfo senderInfo = null;

    @XmlElement(name = "createTime")
    @SerializedName("createTime")
    @Required
    private String createTime = null;

    @XmlElement(name = "orderSourceType")
    @SerializedName("orderSourceType")
    private String orderSourceType = null;

    @XmlElement(name = "scheduleDate")
    @SerializedName("scheduleDate")
    private String scheduleDate = null;

    @XmlElement(name = "pickerInfo")
    @SerializedName("pickerInfo")
    private PickerInfo pickerInfo = null;

    @XmlElement(name = "transportMode")
    @SerializedName("transportMode")
    private String transportMode = null;

    @XmlElementWrapper(name = "relatedOrders")
    @XmlElement(name = "relatedOrders")
    @SerializedName("relatedOrders")
    private List<RelatedOrders> relatedOrders = null;

    @XmlElement(name = "shippingTime")
    @SerializedName("shippingTime")
    private String shippingTime = null;

    public DeliveryOrder supplierName(String supplierName) {
        this.supplierName = supplierName;
        return this;
    }

    /**
     * 供应商名称
     * @return supplierName
    **/

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public DeliveryOrder orderType(String orderType) {
        this.orderType = orderType;
        return this;
    }

    /**
     * 出库单类型(PTCK&#x3D;普通出库单;DBCK&#x3D;调拨出库;B2BCK&#x3D;B2B出库;QTCK&#x3D;其他出库;CGTH&#x3D;采购退货出库单;XNCK&#x3D;虚拟出库单, JITCK&#x3D;唯品出库)
     * @return orderType
    **/

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public DeliveryOrder receivingTime(String receivingTime) {
        this.receivingTime = receivingTime;
        return this;
    }

    /**
     * 到货时间(YYYY-MM-DD HH:MM:SS)
     * @return receivingTime
    **/

    public String getReceivingTime() {
        return receivingTime;
    }

    public void setReceivingTime(String receivingTime) {
        this.receivingTime = receivingTime;
    }

    public DeliveryOrder totalOrderLines(Integer totalOrderLines) {
        this.totalOrderLines = totalOrderLines;
        return this;
    }

    /**
     * 单据总行数(当单据需要分多个请求发送时;发送方需要将totalOrderLines填入;接收方收到后;根据实际接收到的条数和totalOrderLines进行比对;如果小于;则继续等待接收请求。如果等于;则表示该单据的所有请求发送完成.)
     * @return totalOrderLines
    **/

    public Integer getTotalOrderLines() {
        return totalOrderLines;
    }

    public void setTotalOrderLines(Integer totalOrderLines) {
        this.totalOrderLines = totalOrderLines;
    }

    public DeliveryOrder receiverInfo(ReceiverInfo receiverInfo) {
        this.receiverInfo = receiverInfo;
        return this;
    }

    /**
     * Get receiverInfo
     * @return receiverInfo
    **/

    public ReceiverInfo getReceiverInfo() {
        return receiverInfo;
    }

    public void setReceiverInfo(ReceiverInfo receiverInfo) {
        this.receiverInfo = receiverInfo;
    }

    public DeliveryOrder logisticsCode(String logisticsCode) {
        this.logisticsCode = logisticsCode;
        return this;
    }

    /**
     * 物流公司编码(SF&#x3D;顺丰、EMS&#x3D;标准快递、EYB&#x3D;经济快件、ZJS&#x3D;宅急送、YTO&#x3D;圆通 、ZTO&#x3D;中通(ZTO)、HTKY&#x3D;百世汇通、UC&#x3D;优速、STO&#x3D;申通、TTKDEX&#x3D;天天快递、QFKD&#x3D;全峰、FAST&#x3D;快捷、POSTB&#x3D;邮政小包、GTO&#x3D;国通、YUNDA&#x3D;韵达、JD&#x3D;京东配送、DD&#x3D;当当宅配、AMAZON&#x3D;亚马逊物流、OTHER&#x3D;其他;只传英文编码)
     * @return logisticsCode
    **/

    public String getLogisticsCode() {
        return logisticsCode;
    }

    public void setLogisticsCode(String logisticsCode) {
        this.logisticsCode = logisticsCode;
    }

    public DeliveryOrder remark(String remark) {
        this.remark = remark;
        return this;
    }

    /**
     * 备注
     * @return remark
    **/

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public DeliveryOrder deliveryOrderCode(String deliveryOrderCode) {
        this.deliveryOrderCode = deliveryOrderCode;
        return this;
    }

    /**
     * 出库单号
     * @return deliveryOrderCode
    **/

    public String getDeliveryOrderCode() {
        return deliveryOrderCode;
    }

    public void setDeliveryOrderCode(String deliveryOrderCode) {
        this.deliveryOrderCode = deliveryOrderCode;
    }

    public DeliveryOrder supplierCode(String supplierCode) {
        this.supplierCode = supplierCode;
        return this;
    }

    /**
     * 供应商编码
     * @return supplierCode
    **/

    public String getSupplierCode() {
        return supplierCode;
    }

    public void setSupplierCode(String supplierCode) {
        this.supplierCode = supplierCode;
    }

    public DeliveryOrder warehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
        return this;
    }

    /**
     * 仓库编码(统仓统配等无需ERP指定仓储编码的情况填OTHER)
     * @return warehouseCode
    **/

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public DeliveryOrder logisticsName(String logisticsName) {
        this.logisticsName = logisticsName;
        return this;
    }

    /**
     * 物流公司名称(包括干线物流公司等)
     * @return logisticsName
    **/

    public String getLogisticsName() {
        return logisticsName;
    }

    public void setLogisticsName(String logisticsName) {
        this.logisticsName = logisticsName;
    }

    public DeliveryOrder senderInfo(SenderInfo senderInfo) {
        this.senderInfo = senderInfo;
        return this;
    }

    /**
     * Get senderInfo
     * @return senderInfo
    **/

    public SenderInfo getSenderInfo() {
        return senderInfo;
    }

    public void setSenderInfo(SenderInfo senderInfo) {
        this.senderInfo = senderInfo;
    }

    public DeliveryOrder createTime(String createTime) {
        this.createTime = createTime;
        return this;
    }

    /**
     * 出库单创建时间(YYYY-MM-DD HH:MM:SS)
     * @return createTime
    **/

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public DeliveryOrder orderSourceType(String orderSourceType) {
        this.orderSourceType = orderSourceType;
        return this;
    }

    /**
     * 出库单渠道类型,VIP&#x3D;唯品会，FX&#x3D;分销 ，SHOP&#x3D;门店
     * @return orderSourceType
    **/

    public String getOrderSourceType() {
        return orderSourceType;
    }

    public void setOrderSourceType(String orderSourceType) {
        this.orderSourceType = orderSourceType;
    }

    public DeliveryOrder scheduleDate(String scheduleDate) {
        this.scheduleDate = scheduleDate;
        return this;
    }

    /**
     * 要求出库时间(YYYY-MM-DD)
     * @return scheduleDate
    **/

    public String getScheduleDate() {
        return scheduleDate;
    }

    public void setScheduleDate(String scheduleDate) {
        this.scheduleDate = scheduleDate;
    }

    public DeliveryOrder pickerInfo(PickerInfo pickerInfo) {
        this.pickerInfo = pickerInfo;
        return this;
    }

    /**
     * Get pickerInfo
     * @return pickerInfo
    **/

    public PickerInfo getPickerInfo() {
        return pickerInfo;
    }

    public void setPickerInfo(PickerInfo pickerInfo) {
        this.pickerInfo = pickerInfo;
    }

    public DeliveryOrder transportMode(String transportMode) {
        this.transportMode = transportMode;
        return this;
    }

    /**
     * 提货方式(到仓自提、快递、干线物流)
     * @return transportMode
    **/

    public String getTransportMode() {
        return transportMode;
    }

    public void setTransportMode(String transportMode) {
        this.transportMode = transportMode;
    }

    public DeliveryOrder relatedOrders(List<RelatedOrders> relatedOrders) {
        this.relatedOrders = relatedOrders;
        return this;
    }

    public DeliveryOrder addRelatedOrdersItem(RelatedOrders relatedOrdersItem) {
        if (this.relatedOrders == null) {
            this.relatedOrders = new ArrayList<RelatedOrders>();
        }
        this.relatedOrders.add(relatedOrdersItem);
        return this;
    }

    /**
     * 关联单据信息
     * @return relatedOrders
    **/

    public List<RelatedOrders> getRelatedOrders() {
        return relatedOrders;
    }

    public void setRelatedOrders(List<RelatedOrders> relatedOrders) {
        this.relatedOrders = relatedOrders;
    }

    public DeliveryOrder shippingTime(String shippingTime) {
        this.shippingTime = shippingTime;
        return this;
    }

    /**
     * 送货时间(YYYY-MM-DD HH:MM:SS)
     * @return shippingTime
    **/

    public String getShippingTime() {
        return shippingTime;
    }

    public void setShippingTime(String shippingTime) {
        this.shippingTime = shippingTime;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        DeliveryOrder deliveryOrder = (DeliveryOrder) o;
        return Objects.equals(this.supplierName, deliveryOrder.supplierName) &&
        Objects.equals(this.orderType, deliveryOrder.orderType) &&
        Objects.equals(this.receivingTime, deliveryOrder.receivingTime) &&
        Objects.equals(this.totalOrderLines, deliveryOrder.totalOrderLines) &&
        Objects.equals(this.receiverInfo, deliveryOrder.receiverInfo) &&
        Objects.equals(this.logisticsCode, deliveryOrder.logisticsCode) &&
        Objects.equals(this.remark, deliveryOrder.remark) &&
        Objects.equals(this.deliveryOrderCode, deliveryOrder.deliveryOrderCode) &&
        Objects.equals(this.supplierCode, deliveryOrder.supplierCode) &&
        Objects.equals(this.warehouseCode, deliveryOrder.warehouseCode) &&
        Objects.equals(this.logisticsName, deliveryOrder.logisticsName) &&
        Objects.equals(this.senderInfo, deliveryOrder.senderInfo) &&
        Objects.equals(this.createTime, deliveryOrder.createTime) &&
        Objects.equals(this.orderSourceType, deliveryOrder.orderSourceType) &&
        Objects.equals(this.scheduleDate, deliveryOrder.scheduleDate) &&
        Objects.equals(this.pickerInfo, deliveryOrder.pickerInfo) &&
        Objects.equals(this.transportMode, deliveryOrder.transportMode) &&
        Objects.equals(this.relatedOrders, deliveryOrder.relatedOrders) &&
        Objects.equals(this.shippingTime, deliveryOrder.shippingTime);
    }

    @Override
    public int hashCode() {
        return Objects.hash(supplierName, orderType, receivingTime, totalOrderLines, receiverInfo, logisticsCode, remark, deliveryOrderCode, supplierCode, warehouseCode, logisticsName, senderInfo, createTime, orderSourceType, scheduleDate, pickerInfo, transportMode, relatedOrders, shippingTime);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class DeliveryOrder {\n");
        
        sb.append("    supplierName: ").append(toIndentedString(supplierName)).append("\n");
        sb.append("    orderType: ").append(toIndentedString(orderType)).append("\n");
        sb.append("    receivingTime: ").append(toIndentedString(receivingTime)).append("\n");
        sb.append("    totalOrderLines: ").append(toIndentedString(totalOrderLines)).append("\n");
        sb.append("    receiverInfo: ").append(toIndentedString(receiverInfo)).append("\n");
        sb.append("    logisticsCode: ").append(toIndentedString(logisticsCode)).append("\n");
        sb.append("    remark: ").append(toIndentedString(remark)).append("\n");
        sb.append("    deliveryOrderCode: ").append(toIndentedString(deliveryOrderCode)).append("\n");
        sb.append("    supplierCode: ").append(toIndentedString(supplierCode)).append("\n");
        sb.append("    warehouseCode: ").append(toIndentedString(warehouseCode)).append("\n");
        sb.append("    logisticsName: ").append(toIndentedString(logisticsName)).append("\n");
        sb.append("    senderInfo: ").append(toIndentedString(senderInfo)).append("\n");
        sb.append("    createTime: ").append(toIndentedString(createTime)).append("\n");
        sb.append("    orderSourceType: ").append(toIndentedString(orderSourceType)).append("\n");
        sb.append("    scheduleDate: ").append(toIndentedString(scheduleDate)).append("\n");
        sb.append("    pickerInfo: ").append(toIndentedString(pickerInfo)).append("\n");
        sb.append("    transportMode: ").append(toIndentedString(transportMode)).append("\n");
        sb.append("    relatedOrders: ").append(toIndentedString(relatedOrders)).append("\n");
        sb.append("    shippingTime: ").append(toIndentedString(shippingTime)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

