/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufutransferorderreport;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.util.ArrayList;
import java.util.List;
import net.jdcloud.HufuStorageV2.model.jingdonghufutransferorderreport.TransferOrderItems;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * TransferOrderReportRequest
 */
@XmlRootElement(name = "TransferOrderReportRequest")
@XmlAccessorType(XmlAccessType.FIELD)

public class TransferOrderReportRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "transferInOrderCode")
    @SerializedName("transferInOrderCode")
    private String transferInOrderCode = null;

    @XmlElement(name = "toWarehouseCode")
    @SerializedName("toWarehouseCode")
    private String toWarehouseCode = null;

    @XmlElement(name = "confirmInTime")
    @SerializedName("confirmInTime")
    private String confirmInTime = null;

    @XmlElement(name = "transferOrderCode")
    @SerializedName("transferOrderCode")
    private String transferOrderCode = null;

    @XmlElement(name = "confirmOutTime")
    @SerializedName("confirmOutTime")
    private String confirmOutTime = null;

    @XmlElement(name = "fromWarehouseCode")
    @SerializedName("fromWarehouseCode")
    private String fromWarehouseCode = null;

    @XmlElement(name = "createTime")
    @SerializedName("createTime")
    private String createTime = null;

    @XmlElement(name = "ownerCode")
    @SerializedName("ownerCode")
    private String ownerCode = null;

    @XmlElement(name = "orderStatus")
    @SerializedName("orderStatus")
    private String orderStatus = null;

    @XmlElement(name = "erpOrderCode")
    @SerializedName("erpOrderCode")
    private String erpOrderCode = null;

    @XmlElementWrapper(name = "transferOrderItems")
    @XmlElement(name = "transferOrderItems")
    @SerializedName("transferOrderItems")
    private List<TransferOrderItems> transferOrderItems = null;

    @XmlElement(name = "transferOutOrderCode")
    @SerializedName("transferOutOrderCode")
    private String transferOutOrderCode = null;

    public TransferOrderReportRequest transferInOrderCode(String transferInOrderCode) {
        this.transferInOrderCode = transferInOrderCode;
        return this;
    }

    /**
     * 调拨入库单号
     * @return transferInOrderCode
    **/

    public String getTransferInOrderCode() {
        return transferInOrderCode;
    }

    public void setTransferInOrderCode(String transferInOrderCode) {
        this.transferInOrderCode = transferInOrderCode;
    }

    public TransferOrderReportRequest toWarehouseCode(String toWarehouseCode) {
        this.toWarehouseCode = toWarehouseCode;
        return this;
    }

    /**
     * 调拨入库仓编码
     * @return toWarehouseCode
    **/

    public String getToWarehouseCode() {
        return toWarehouseCode;
    }

    public void setToWarehouseCode(String toWarehouseCode) {
        this.toWarehouseCode = toWarehouseCode;
    }

    public TransferOrderReportRequest confirmInTime(String confirmInTime) {
        this.confirmInTime = confirmInTime;
        return this;
    }

    /**
     * 确认入库时间
     * @return confirmInTime
    **/

    public String getConfirmInTime() {
        return confirmInTime;
    }

    public void setConfirmInTime(String confirmInTime) {
        this.confirmInTime = confirmInTime;
    }

    public TransferOrderReportRequest transferOrderCode(String transferOrderCode) {
        this.transferOrderCode = transferOrderCode;
        return this;
    }

    /**
     * 调拨单号,0,string(50),必填,
     * @return transferOrderCode
    **/

    public String getTransferOrderCode() {
        return transferOrderCode;
    }

    public void setTransferOrderCode(String transferOrderCode) {
        this.transferOrderCode = transferOrderCode;
    }

    public TransferOrderReportRequest confirmOutTime(String confirmOutTime) {
        this.confirmOutTime = confirmOutTime;
        return this;
    }

    /**
     * 确认出库时间
     * @return confirmOutTime
    **/

    public String getConfirmOutTime() {
        return confirmOutTime;
    }

    public void setConfirmOutTime(String confirmOutTime) {
        this.confirmOutTime = confirmOutTime;
    }

    public TransferOrderReportRequest fromWarehouseCode(String fromWarehouseCode) {
        this.fromWarehouseCode = fromWarehouseCode;
        return this;
    }

    /**
     * 调拨出库仓编码
     * @return fromWarehouseCode
    **/

    public String getFromWarehouseCode() {
        return fromWarehouseCode;
    }

    public void setFromWarehouseCode(String fromWarehouseCode) {
        this.fromWarehouseCode = fromWarehouseCode;
    }

    public TransferOrderReportRequest createTime(String createTime) {
        this.createTime = createTime;
        return this;
    }

    /**
     * 调拨单创建时间
     * @return createTime
    **/

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public TransferOrderReportRequest ownerCode(String ownerCode) {
        this.ownerCode = ownerCode;
        return this;
    }

    /**
     * 货主编码
     * @return ownerCode
    **/

    public String getOwnerCode() {
        return ownerCode;
    }

    public void setOwnerCode(String ownerCode) {
        this.ownerCode = ownerCode;
    }

    public TransferOrderReportRequest orderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
        return this;
    }

    /**
     * orderStatus
     * @return orderStatus
    **/

    public String getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
    }

    public TransferOrderReportRequest erpOrderCode(String erpOrderCode) {
        this.erpOrderCode = erpOrderCode;
        return this;
    }

    /**
     * erpOrderCode
     * @return erpOrderCode
    **/

    public String getErpOrderCode() {
        return erpOrderCode;
    }

    public void setErpOrderCode(String erpOrderCode) {
        this.erpOrderCode = erpOrderCode;
    }

    public TransferOrderReportRequest transferOrderItems(List<TransferOrderItems> transferOrderItems) {
        this.transferOrderItems = transferOrderItems;
        return this;
    }

    public TransferOrderReportRequest addTransferOrderItemsItem(TransferOrderItems transferOrderItemsItem) {
        if (this.transferOrderItems == null) {
            this.transferOrderItems = new ArrayList<TransferOrderItems>();
        }
        this.transferOrderItems.add(transferOrderItemsItem);
        return this;
    }

    /**
     * 项目集
     * @return transferOrderItems
    **/

    public List<TransferOrderItems> getTransferOrderItems() {
        return transferOrderItems;
    }

    public void setTransferOrderItems(List<TransferOrderItems> transferOrderItems) {
        this.transferOrderItems = transferOrderItems;
    }

    public TransferOrderReportRequest transferOutOrderCode(String transferOutOrderCode) {
        this.transferOutOrderCode = transferOutOrderCode;
        return this;
    }

    /**
     * 调拨出库单号
     * @return transferOutOrderCode
    **/

    public String getTransferOutOrderCode() {
        return transferOutOrderCode;
    }

    public void setTransferOutOrderCode(String transferOutOrderCode) {
        this.transferOutOrderCode = transferOutOrderCode;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        TransferOrderReportRequest transferOrderReportRequest = (TransferOrderReportRequest) o;
        return Objects.equals(this.transferInOrderCode, transferOrderReportRequest.transferInOrderCode) &&
        Objects.equals(this.toWarehouseCode, transferOrderReportRequest.toWarehouseCode) &&
        Objects.equals(this.confirmInTime, transferOrderReportRequest.confirmInTime) &&
        Objects.equals(this.transferOrderCode, transferOrderReportRequest.transferOrderCode) &&
        Objects.equals(this.confirmOutTime, transferOrderReportRequest.confirmOutTime) &&
        Objects.equals(this.fromWarehouseCode, transferOrderReportRequest.fromWarehouseCode) &&
        Objects.equals(this.createTime, transferOrderReportRequest.createTime) &&
        Objects.equals(this.ownerCode, transferOrderReportRequest.ownerCode) &&
        Objects.equals(this.orderStatus, transferOrderReportRequest.orderStatus) &&
        Objects.equals(this.erpOrderCode, transferOrderReportRequest.erpOrderCode) &&
        Objects.equals(this.transferOrderItems, transferOrderReportRequest.transferOrderItems) &&
        Objects.equals(this.transferOutOrderCode, transferOrderReportRequest.transferOutOrderCode);
    }

    @Override
    public int hashCode() {
        return Objects.hash(transferInOrderCode, toWarehouseCode, confirmInTime, transferOrderCode, confirmOutTime, fromWarehouseCode, createTime, ownerCode, orderStatus, erpOrderCode, transferOrderItems, transferOutOrderCode);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class TransferOrderReportRequest {\n");
        
        sb.append("    transferInOrderCode: ").append(toIndentedString(transferInOrderCode)).append("\n");
        sb.append("    toWarehouseCode: ").append(toIndentedString(toWarehouseCode)).append("\n");
        sb.append("    confirmInTime: ").append(toIndentedString(confirmInTime)).append("\n");
        sb.append("    transferOrderCode: ").append(toIndentedString(transferOrderCode)).append("\n");
        sb.append("    confirmOutTime: ").append(toIndentedString(confirmOutTime)).append("\n");
        sb.append("    fromWarehouseCode: ").append(toIndentedString(fromWarehouseCode)).append("\n");
        sb.append("    createTime: ").append(toIndentedString(createTime)).append("\n");
        sb.append("    ownerCode: ").append(toIndentedString(ownerCode)).append("\n");
        sb.append("    orderStatus: ").append(toIndentedString(orderStatus)).append("\n");
        sb.append("    erpOrderCode: ").append(toIndentedString(erpOrderCode)).append("\n");
        sb.append("    transferOrderItems: ").append(toIndentedString(transferOrderItems)).append("\n");
        sb.append("    transferOutOrderCode: ").append(toIndentedString(transferOutOrderCode)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

