/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufuwarehouseinfosynchronize;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.util.ArrayList;
import java.util.List;
import net.jdcloud.HufuStorageV2.model.jingdonghufuwarehouseinfosynchronize.WarehouseInfos;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * WarehouseInfoSynchronizeRequest
 */
@XmlRootElement(name = "WarehouseInfoSynchronizeRequest")
@XmlAccessorType(XmlAccessType.FIELD)

public class WarehouseInfoSynchronizeRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "ownerName")
    @SerializedName("ownerName")
    private String ownerName = null;

    @XmlElement(name = "ownerCode")
    @SerializedName("ownerCode")
    private String ownerCode = null;

    @XmlElementWrapper(name = "warehouseInfos")
    @XmlElement(name = "warehouseInfos")
    @SerializedName("warehouseInfos")
    private List<WarehouseInfos> warehouseInfos = null;

    public WarehouseInfoSynchronizeRequest ownerName(String ownerName) {
        this.ownerName = ownerName;
        return this;
    }

    /**
     * 货主名称，string（50）
     * @return ownerName
    **/

    public String getOwnerName() {
        return ownerName;
    }

    public void setOwnerName(String ownerName) {
        this.ownerName = ownerName;
    }

    public WarehouseInfoSynchronizeRequest ownerCode(String ownerCode) {
        this.ownerCode = ownerCode;
        return this;
    }

    /**
     * 货主编码，string（50）
     * @return ownerCode
    **/

    public String getOwnerCode() {
        return ownerCode;
    }

    public void setOwnerCode(String ownerCode) {
        this.ownerCode = ownerCode;
    }

    public WarehouseInfoSynchronizeRequest warehouseInfos(List<WarehouseInfos> warehouseInfos) {
        this.warehouseInfos = warehouseInfos;
        return this;
    }

    public WarehouseInfoSynchronizeRequest addWarehouseInfosItem(WarehouseInfos warehouseInfosItem) {
        if (this.warehouseInfos == null) {
            this.warehouseInfos = new ArrayList<WarehouseInfos>();
        }
        this.warehouseInfos.add(warehouseInfosItem);
        return this;
    }

    /**
     * 仓库列表
     * @return warehouseInfos
    **/

    public List<WarehouseInfos> getWarehouseInfos() {
        return warehouseInfos;
    }

    public void setWarehouseInfos(List<WarehouseInfos> warehouseInfos) {
        this.warehouseInfos = warehouseInfos;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        WarehouseInfoSynchronizeRequest warehouseInfoSynchronizeRequest = (WarehouseInfoSynchronizeRequest) o;
        return Objects.equals(this.ownerName, warehouseInfoSynchronizeRequest.ownerName) &&
        Objects.equals(this.ownerCode, warehouseInfoSynchronizeRequest.ownerCode) &&
        Objects.equals(this.warehouseInfos, warehouseInfoSynchronizeRequest.warehouseInfos);
    }

    @Override
    public int hashCode() {
        return Objects.hash(ownerName, ownerCode, warehouseInfos);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class WarehouseInfoSynchronizeRequest {\n");
        
        sb.append("    ownerName: ").append(toIndentedString(ownerName)).append("\n");
        sb.append("    ownerCode: ").append(toIndentedString(ownerCode)).append("\n");
        sb.append("    warehouseInfos: ").append(toIndentedString(warehouseInfos)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

