/*
 * Copyright 2018 JDCLOUD.COM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http:#www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the jdcloud code generator program.
 */

package net.jdcloud.HufuStorageV2.model.jingdonghufuwarehouseinfosynchronize;

import com.jdcloud.sdk.apim.annotation.*;
import java.util.Objects;
import java.util.Arrays;
import java.io.Serializable;
import java.io.IOException;
import javax.xml.bind.annotation.*;
import com.google.gson.annotations.SerializedName;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * 仓库信息
 */
@XmlRootElement(name = "warehouseInfos")
@XmlAccessorType(XmlAccessType.FIELD)

public class WarehouseInfos implements Serializable {

    private static final long serialVersionUID = 1L;

    @XmlElement(name = "area")
    @SerializedName("area")
    private String area = null;

    @XmlElement(name = "province")
    @SerializedName("province")
    private String province = null;

    @XmlElement(name = "town")
    @SerializedName("town")
    private String town = null;

    @XmlElement(name = "city")
    @SerializedName("city")
    private String city = null;

    @XmlElement(name = "name")
    @SerializedName("name")
    private String name = null;

    @XmlElement(name = "mobile")
    @SerializedName("mobile")
    private String mobile = null;

    @XmlElement(name = "detailAddress")
    @SerializedName("detailAddress")
    private String detailAddress = null;

    @XmlElement(name = "tel")
    @SerializedName("tel")
    private String tel = null;

    @XmlElement(name = "warehouseName")
    @SerializedName("warehouseName")
    private String warehouseName = null;

    @XmlElement(name = "warehouseCode")
    @SerializedName("warehouseCode")
    private String warehouseCode = null;

    @XmlElement(name = "status")
    @SerializedName("status")
    private String status = null;

    public WarehouseInfos area(String area) {
        this.area = area;
        return this;
    }

    /**
     * 地区，string（15）
     * @return area
    **/

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public WarehouseInfos province(String province) {
        this.province = province;
        return this;
    }

    /**
     * 省份，string（15）
     * @return province
    **/

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public WarehouseInfos town(String town) {
        this.town = town;
        return this;
    }

    /**
     * 乡镇，string（15）
     * @return town
    **/

    public String getTown() {
        return town;
    }

    public void setTown(String town) {
        this.town = town;
    }

    public WarehouseInfos city(String city) {
        this.city = city;
        return this;
    }

    /**
     * 城市，string（15）
     * @return city
    **/

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public WarehouseInfos name(String name) {
        this.name = name;
        return this;
    }

    /**
     * 仓库名称，string（50）
     * @return name
    **/

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public WarehouseInfos mobile(String mobile) {
        this.mobile = mobile;
        return this;
    }

    /**
     * 负责人手机，string（20）
     * @return mobile
    **/

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public WarehouseInfos detailAddress(String detailAddress) {
        this.detailAddress = detailAddress;
        return this;
    }

    /**
     * 详细地址，string（50）
     * @return detailAddress
    **/

    public String getDetailAddress() {
        return detailAddress;
    }

    public void setDetailAddress(String detailAddress) {
        this.detailAddress = detailAddress;
    }

    public WarehouseInfos tel(String tel) {
        this.tel = tel;
        return this;
    }

    /**
     * 仓库电话，string（20）
     * @return tel
    **/

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public WarehouseInfos warehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
        return this;
    }

    /**
     * 仓库名称，string（50）
     * @return warehouseName
    **/

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public WarehouseInfos warehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
        return this;
    }

    /**
     * 仓库编码，string（50）
     * @return warehouseCode
    **/

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public WarehouseInfos status(String status) {
        this.status = status;
        return this;
    }

    /**
     * 仓库状态，string（20）
     * @return status
    **/

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        WarehouseInfos warehouseInfos = (WarehouseInfos) o;
        return Objects.equals(this.area, warehouseInfos.area) &&
        Objects.equals(this.province, warehouseInfos.province) &&
        Objects.equals(this.town, warehouseInfos.town) &&
        Objects.equals(this.city, warehouseInfos.city) &&
        Objects.equals(this.name, warehouseInfos.name) &&
        Objects.equals(this.mobile, warehouseInfos.mobile) &&
        Objects.equals(this.detailAddress, warehouseInfos.detailAddress) &&
        Objects.equals(this.tel, warehouseInfos.tel) &&
        Objects.equals(this.warehouseName, warehouseInfos.warehouseName) &&
        Objects.equals(this.warehouseCode, warehouseInfos.warehouseCode) &&
        Objects.equals(this.status, warehouseInfos.status);
    }

    @Override
    public int hashCode() {
        return Objects.hash(area, province, town, city, name, mobile, detailAddress, tel, warehouseName, warehouseCode, status);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class WarehouseInfos {\n");
        
        sb.append("    area: ").append(toIndentedString(area)).append("\n");
        sb.append("    province: ").append(toIndentedString(province)).append("\n");
        sb.append("    town: ").append(toIndentedString(town)).append("\n");
        sb.append("    city: ").append(toIndentedString(city)).append("\n");
        sb.append("    name: ").append(toIndentedString(name)).append("\n");
        sb.append("    mobile: ").append(toIndentedString(mobile)).append("\n");
        sb.append("    detailAddress: ").append(toIndentedString(detailAddress)).append("\n");
        sb.append("    tel: ").append(toIndentedString(tel)).append("\n");
        sb.append("    warehouseName: ").append(toIndentedString(warehouseName)).append("\n");
        sb.append("    warehouseCode: ").append(toIndentedString(warehouseCode)).append("\n");
        sb.append("    status: ").append(toIndentedString(status)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
          return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

